/* This file was generated by SableCC (http://www.sablecc.org/). */

package de.be4.classicalb.core.parser.lexer;

import java.io.*;
import java.util.*;
import de.be4.classicalb.core.parser.node.*;
import de.hhu.stups.sablecc.patch.*;
import java.util.concurrent.LinkedBlockingQueue;

@SuppressWarnings({"unused"}) 
public class Lexer implements ITokenListContainer
{
    protected Token token;
    protected State state = State.SECTION;

    private PushbackReader in;
    private int line;
    private int pos;
    private boolean cr;
    private boolean eof;
    private final StringBuffer text = new StringBuffer();
    
	private List<IToken> tokenList;
    private final Queue<IToken> nextList = new LinkedBlockingQueue<IToken>();

	private IToken tok;

    public Queue<IToken> getNextList() {
        return nextList;
    }

	public List<IToken> getTokenList() {
		return tokenList;
	}
	
	private void setToken(Token t) {
	  tok = t;
   	  token = t;	
	}
	
	
	public void setTokenList(final List<IToken> list) {
		tokenList = list;
	}

     
    protected void filter() throws LexerException, IOException
    {
        // Do nothing
    }

    protected void filterWrap() throws LexerException, IOException
    {
       filter();
       if (token != null) {
	          getTokenList().add(token); 
              nextList.add(token);
	   }
    }


    public Lexer(  PushbackReader in)
    {
        this.in = in;
    	setTokenList(new ArrayList<IToken>());
    }
    
    public Token peek() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.setToken(getToken());
            filterWrap();
        }

        return (Token) nextList.peek();
    }

    public Token next() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.setToken(getToken());
            filterWrap();
        }

        Token result = (Token) nextList.poll();
        this.setToken(null);
        return result;
    }

    protected Token getToken() throws IOException, LexerException
    {
        int dfa_state = 0;

        int start_pos = this.pos;
        int start_line = this.line;

        int accept_state = -1;
        int accept_token = -1;
        int accept_length = -1;
        int accept_pos = -1;
        int accept_line = -1;

          int[][][] gotoTable = Lexer.gotoTable[this.state.id()];
          int[] accept = Lexer.accept[this.state.id()];
        this.text.setLength(0);

        while(true)
        {
            int c = getChar();

            if(c != -1)
            {
                switch(c)
                {
                case 10:
                    if(this.cr)
                    {
                        this.cr = false;
                    }
                    else
                    {
                        this.line++;
                        this.pos = 0;
                    }
                    break;
                case 13:
                    this.line++;
                    this.pos = 0;
                    this.cr = true;
                    break;
                default:
                    this.pos++;
                    this.cr = false;
                    break;
                }

                this.text.append((char) c);

                do
                {
                    int oldState = (dfa_state < -1) ? (-2 -dfa_state) : dfa_state;

                    dfa_state = -1;

                    int[][] tmp1 =  gotoTable[oldState];
                    int low = 0;
                    int high = tmp1.length - 1;

                    while(low <= high)
                    {
                        int middle = (low + high) / 2;
                        int[] tmp2 = tmp1[middle];

                        if(c < tmp2[0])
                        {
                            high = middle - 1;
                        }
                        else if(c > tmp2[1])
                        {
                            low = middle + 1;
                        }
                        else
                        {
                            dfa_state = tmp2[2];
                            break;
                        }
                    }
                }while(dfa_state < -1);
            }
            else
            {
                dfa_state = -1;
            }

            if(dfa_state >= 0)
            {
                if(accept[dfa_state] != -1)
                {
                    accept_state = dfa_state;
                    accept_token = accept[dfa_state];
                    accept_length = this.text.length();
                    accept_pos = this.pos;
                    accept_line = this.line;
                }
            }
            else
            {
                if(accept_state != -1)
                {
                    switch(accept_token)
                    {
                    case 0:
                        {
                              Token token = new0(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.SHEBANG; break;
                                case 0: state = State.SHEBANG; break;
                                case 3: state = State.SHEBANG; break;
                            }
                            return token;
                        }
                    case 1:
                        {
                              Token token = new1(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 2:
                        {
                              Token token = new2(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.SHEBANG; break;
                            }
                            return token;
                        }
                    case 3:
                        {
                              Token token = new3(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.SECTION; break;
                            }
                            return token;
                        }
                    case 4:
                        {
                              Token token = new4(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.PRAGMA; break;
                                case 0: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 5:
                        {
                              Token token = new5(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.NORMAL; break;
                                case 6: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 6:
                        {
                              Token token = new6(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 7:
                        {
                              Token token = new7(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 8:
                        {
                              Token token = new8(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 9:
                        {
                              Token token = new9(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 10:
                        {
                              Token token = new10(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 11:
                        {
                              Token token = new11(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 12:
                        {
                              Token token = new12(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 13:
                        {
                              Token token = new13(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 14:
                        {
                              Token token = new14(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 15:
                        {
                              Token token = new15(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 16:
                        {
                              Token token = new16(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 17:
                        {
                              Token token = new17(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 18:
                        {
                              Token token = new18(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 19:
                        {
                              Token token = new19(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 20:
                        {
                              Token token = new20(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 6: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 21:
                        {
                              Token token = new21(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 6: state = State.UNIT; break;
                            }
                            return token;
                        }
                    case 22:
                        {
                              Token token = new22(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.COMMENT; break;
                                case 0: state = State.COMMENT; break;
                            }
                            return token;
                        }
                    case 23:
                        {
                              Token token = new23(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 24:
                        {
                              Token token = new24(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                            }
                            return token;
                        }
                    case 25:
                        {
                              Token token = new25(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 26:
                        {
                              Token token = new26(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 27:
                        {
                              Token token = new27(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 28:
                        {
                              Token token = new28(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 29:
                        {
                              Token token = new29(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 30:
                        {
                              Token token = new30(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 31:
                        {
                              Token token = new31(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 32:
                        {
                              Token token = new32(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 33:
                        {
                              Token token = new33(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 34:
                        {
                              Token token = new34(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 35:
                        {
                              Token token = new35(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 36:
                        {
                              Token token = new36(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 37:
                        {
                              Token token = new37(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 38:
                        {
                              Token token = new38(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 39:
                        {
                              Token token = new39(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 40:
                        {
                              Token token = new40(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 41:
                        {
                              Token token = new41(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 42:
                        {
                              Token token = new42(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 43:
                        {
                              Token token = new43(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 44:
                        {
                              Token token = new44(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 45:
                        {
                              Token token = new45(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 46:
                        {
                              Token token = new46(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 47:
                        {
                              Token token = new47(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 48:
                        {
                              Token token = new48(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 49:
                        {
                              Token token = new49(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 50:
                        {
                              Token token = new50(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 51:
                        {
                              Token token = new51(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 52:
                        {
                              Token token = new52(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 53:
                        {
                              Token token = new53(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 54:
                        {
                              Token token = new54(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 55:
                        {
                              Token token = new55(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 56:
                        {
                              Token token = new56(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 57:
                        {
                              Token token = new57(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 58:
                        {
                              Token token = new58(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 59:
                        {
                              Token token = new59(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 60:
                        {
                              Token token = new60(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 61:
                        {
                              Token token = new61(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 62:
                        {
                              Token token = new62(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 63:
                        {
                              Token token = new63(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 64:
                        {
                              Token token = new64(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 65:
                        {
                              Token token = new65(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 66:
                        {
                              Token token = new66(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 67:
                        {
                              Token token = new67(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 68:
                        {
                              Token token = new68(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 69:
                        {
                              Token token = new69(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 70:
                        {
                              Token token = new70(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 71:
                        {
                              Token token = new71(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 72:
                        {
                              Token token = new72(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 73:
                        {
                              Token token = new73(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 74:
                        {
                              Token token = new74(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 75:
                        {
                              Token token = new75(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 76:
                        {
                              Token token = new76(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 77:
                        {
                              Token token = new77(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 78:
                        {
                              Token token = new78(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 79:
                        {
                              Token token = new79(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 80:
                        {
                              Token token = new80(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 81:
                        {
                              Token token = new81(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 82:
                        {
                              Token token = new82(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 83:
                        {
                              Token token = new83(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 84:
                        {
                              Token token = new84(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 85:
                        {
                              Token token = new85(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 86:
                        {
                              Token token = new86(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 87:
                        {
                              Token token = new87(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 88:
                        {
                              Token token = new88(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 89:
                        {
                              Token token = new89(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 90:
                        {
                              Token token = new90(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 91:
                        {
                              Token token = new91(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 92:
                        {
                              Token token = new92(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 93:
                        {
                              Token token = new93(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 94:
                        {
                              Token token = new94(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 95:
                        {
                              Token token = new95(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 96:
                        {
                              Token token = new96(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 97:
                        {
                              Token token = new97(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 98:
                        {
                              Token token = new98(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 99:
                        {
                              Token token = new99(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 100:
                        {
                              Token token = new100(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 101:
                        {
                              Token token = new101(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 102:
                        {
                              Token token = new102(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 103:
                        {
                              Token token = new103(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 104:
                        {
                              Token token = new104(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 105:
                        {
                              Token token = new105(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 106:
                        {
                              Token token = new106(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 107:
                        {
                              Token token = new107(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 108:
                        {
                              Token token = new108(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 109:
                        {
                              Token token = new109(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 110:
                        {
                              Token token = new110(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 111:
                        {
                              Token token = new111(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 112:
                        {
                              Token token = new112(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 113:
                        {
                              Token token = new113(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 114:
                        {
                              Token token = new114(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 115:
                        {
                              Token token = new115(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 116:
                        {
                              Token token = new116(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 117:
                        {
                              Token token = new117(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 118:
                        {
                              Token token = new118(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 119:
                        {
                              Token token = new119(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 120:
                        {
                              Token token = new120(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 121:
                        {
                              Token token = new121(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 122:
                        {
                              Token token = new122(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 123:
                        {
                              Token token = new123(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 124:
                        {
                              Token token = new124(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 125:
                        {
                              Token token = new125(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 126:
                        {
                              Token token = new126(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 127:
                        {
                              Token token = new127(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 128:
                        {
                              Token token = new128(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 129:
                        {
                              Token token = new129(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 130:
                        {
                              Token token = new130(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 131:
                        {
                              Token token = new131(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 132:
                        {
                              Token token = new132(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 133:
                        {
                              Token token = new133(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 134:
                        {
                              Token token = new134(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 135:
                        {
                              Token token = new135(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 136:
                        {
                              Token token = new136(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 137:
                        {
                              Token token = new137(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 138:
                        {
                              Token token = new138(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 139:
                        {
                              Token token = new139(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 140:
                        {
                              Token token = new140(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 141:
                        {
                              Token token = new141(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 142:
                        {
                              Token token = new142(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 143:
                        {
                              Token token = new143(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 144:
                        {
                              Token token = new144(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 145:
                        {
                              Token token = new145(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 146:
                        {
                              Token token = new146(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 147:
                        {
                              Token token = new147(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 148:
                        {
                              Token token = new148(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 149:
                        {
                              Token token = new149(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 150:
                        {
                              Token token = new150(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 151:
                        {
                              Token token = new151(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 152:
                        {
                              Token token = new152(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 153:
                        {
                              Token token = new153(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 154:
                        {
                              Token token = new154(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 155:
                        {
                              Token token = new155(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 156:
                        {
                              Token token = new156(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 157:
                        {
                              Token token = new157(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 158:
                        {
                              Token token = new158(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 159:
                        {
                              Token token = new159(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 160:
                        {
                              Token token = new160(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 161:
                        {
                              Token token = new161(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 162:
                        {
                              Token token = new162(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 163:
                        {
                              Token token = new163(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 164:
                        {
                              Token token = new164(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 165:
                        {
                              Token token = new165(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 166:
                        {
                              Token token = new166(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 167:
                        {
                              Token token = new167(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 168:
                        {
                              Token token = new168(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 169:
                        {
                              Token token = new169(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 170:
                        {
                              Token token = new170(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 171:
                        {
                              Token token = new171(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 172:
                        {
                              Token token = new172(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 173:
                        {
                              Token token = new173(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 174:
                        {
                              Token token = new174(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 175:
                        {
                              Token token = new175(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 176:
                        {
                              Token token = new176(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 177:
                        {
                              Token token = new177(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 178:
                        {
                              Token token = new178(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 179:
                        {
                              Token token = new179(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 180:
                        {
                              Token token = new180(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 181:
                        {
                              Token token = new181(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 182:
                        {
                              Token token = new182(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 183:
                        {
                              Token token = new183(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 184:
                        {
                              Token token = new184(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 185:
                        {
                              Token token = new185(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 186:
                        {
                              Token token = new186(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 187:
                        {
                              Token token = new187(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 188:
                        {
                              Token token = new188(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 189:
                        {
                              Token token = new189(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 190:
                        {
                              Token token = new190(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 191:
                        {
                              Token token = new191(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 192:
                        {
                              Token token = new192(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 193:
                        {
                              Token token = new193(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 194:
                        {
                              Token token = new194(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 195:
                        {
                              Token token = new195(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 196:
                        {
                              Token token = new196(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 197:
                        {
                              Token token = new197(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 198:
                        {
                              Token token = new198(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 199:
                        {
                              Token token = new199(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 200:
                        {
                              Token token = new200(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 201:
                        {
                              Token token = new201(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 202:
                        {
                              Token token = new202(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 203:
                        {
                              Token token = new203(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 204:
                        {
                              Token token = new204(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 205:
                        {
                              Token token = new205(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 206:
                        {
                              Token token = new206(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 207:
                        {
                              Token token = new207(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 208:
                        {
                              Token token = new208(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 209:
                        {
                              Token token = new209(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 210:
                        {
                              Token token = new210(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 211:
                        {
                              Token token = new211(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 212:
                        {
                              Token token = new212(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 213:
                        {
                              Token token = new213(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 214:
                        {
                              Token token = new214(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 215:
                        {
                              Token token = new215(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 216:
                        {
                              Token token = new216(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 217:
                        {
                              Token token = new217(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 218:
                        {
                              Token token = new218(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 219:
                        {
                              Token token = new219(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 220:
                        {
                              Token token = new220(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 221:
                        {
                              Token token = new221(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 222:
                        {
                              Token token = new222(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 223:
                        {
                              Token token = new223(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 224:
                        {
                              Token token = new224(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 225:
                        {
                              Token token = new225(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 226:
                        {
                              Token token = new226(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 227:
                        {
                              Token token = new227(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 228:
                        {
                              Token token = new228(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 229:
                        {
                              Token token = new229(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 230:
                        {
                              Token token = new230(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 231:
                        {
                              Token token = new231(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 232:
                        {
                              Token token = new232(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 233:
                        {
                              Token token = new233(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 234:
                        {
                              Token token = new234(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 235:
                        {
                              Token token = new235(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 236:
                        {
                              Token token = new236(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 237:
                        {
                              Token token = new237(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 238:
                        {
                              Token token = new238(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 239:
                        {
                              Token token = new239(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 240:
                        {
                              Token token = new240(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 241:
                        {
                              Token token = new241(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 242:
                        {
                              Token token = new242(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 243:
                        {
                              Token token = new243(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 244:
                        {
                              Token token = new244(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 245:
                        {
                              Token token = new245(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 246:
                        {
                              Token token = new246(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 247:
                        {
                              Token token = new247(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 248:
                        {
                              Token token = new248(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 249:
                        {
                              Token token = new249(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 250:
                        {
                              Token token = new250(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 251:
                        {
                              Token token = new251(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 252:
                        {
                              Token token = new252(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 253:
                        {
                              Token token = new253(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 254:
                        {
                              Token token = new254(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 255:
                        {
                              Token token = new255(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 256:
                        {
                              Token token = new256(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 257:
                        {
                              Token token = new257(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 258:
                        {
                              Token token = new258(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 259:
                        {
                              Token token = new259(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 260:
                        {
                              Token token = new260(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 261:
                        {
                              Token token = new261(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 262:
                        {
                              Token token = new262(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 263:
                        {
                              Token token = new263(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 264:
                        {
                              Token token = new264(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 265:
                        {
                              Token token = new265(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 266:
                        {
                              Token token = new266(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 267:
                        {
                              Token token = new267(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 268:
                        {
                              Token token = new268(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 269:
                        {
                              Token token = new269(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 270:
                        {
                              Token token = new270(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 271:
                        {
                              Token token = new271(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 272:
                        {
                              Token token = new272(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 273:
                        {
                              Token token = new273(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 274:
                        {
                              Token token = new274(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 275:
                        {
                              Token token = new275(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 276:
                        {
                              Token token = new276(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    }
                }
                else
                {
                    if(this.text.length() > 0)
                    {
                        throw new LexerException(
                            "[" + (start_line + 1) + "," + (start_pos + 1) + "]" +
                            " Unknown token: " + this.text);
                    }

                      EOF token = new EOF(
                        start_line + 1,
                        start_pos + 1);
                    return token;
                }
            }
        }
    }

    Token new0(  int line,   int pos) { return new TShebang(line, pos); }
    Token new1(  String text,   int line,   int pos) { return new TShebangEnd(text, line, pos); }
    Token new2(  String text,   int line,   int pos) { return new TShebangChar(text, line, pos); }
    Token new3(  String text,   int line,   int pos) { return new TLineComment(text, line, pos); }
    Token new4(  int line,   int pos) { return new TPragmaStart(line, pos); }
    Token new5(  int line,   int pos) { return new TPragmaEnd(line, pos); }
    Token new6(  int line,   int pos) { return new TPragmaUnit(line, pos); }
    Token new7(  int line,   int pos) { return new TNewPragmaUnit(line, pos); }
    Token new8(  int line,   int pos) { return new TIpragmaUnit(line, pos); }
    Token new9(  int line,   int pos) { return new TPragmaUnitAlias(line, pos); }
    Token new10(  int line,   int pos) { return new TPragmaGenerated(line, pos); }
    Token new11(  int line,   int pos) { return new TPragmaSymbolic(line, pos); }
    Token new12(  int line,   int pos) { return new TPragmaLabel(line, pos); }
    Token new13(  int line,   int pos) { return new TPragmaFile(line, pos); }
    Token new14(  int line,   int pos) { return new TPragmaPackage(line, pos); }
    Token new15(  String text,   int line,   int pos) { return new TPragmaImportPackage(text, line, pos); }
    Token new16(  String text,   int line,   int pos) { return new TPragmaDescription(text, line, pos); }
    Token new17(  int line,   int pos) { return new TPragmaConversion(line, pos); }
    Token new18(  String text,   int line,   int pos) { return new TPragmaIdOrString(text, line, pos); }
    Token new19(  String text,   int line,   int pos) { return new TPragmaFreeText(text, line, pos); }
    Token new20(  String text,   int line,   int pos) { return new TUnitContent(text, line, pos); }
    Token new21(  String text,   int line,   int pos) { return new TUnitId(text, line, pos); }
    Token new22(  String text,   int line,   int pos) { return new TComment(text, line, pos); }
    Token new23(  String text,   int line,   int pos) { return new TCommentEnd(text, line, pos); }
    Token new24(  String text,   int line,   int pos) { return new TCommentBody(text, line, pos); }
    Token new25(  int line,   int pos) { return new TStar(line, pos); }
    Token new26(  int line,   int pos) { return new TSlash(line, pos); }
    Token new27(  String text,   int line,   int pos) { return new TStringLiteral(text, line, pos); }
    Token new28(  String text,   int line,   int pos) { return new TForAny(text, line, pos); }
    Token new29(  String text,   int line,   int pos) { return new TExists(text, line, pos); }
    Token new30(  int line,   int pos) { return new TDollar(line, pos); }
    Token new31(  String text,   int line,   int pos) { return new TLambda(text, line, pos); }
    Token new32(  String text,   int line,   int pos) { return new TConjunction(text, line, pos); }
    Token new33(  String text,   int line,   int pos) { return new TSingleQuotation(text, line, pos); }
    Token new34(  int line,   int pos) { return new TLeftPar(line, pos); }
    Token new35(  int line,   int pos) { return new TRightPar(line, pos); }
    Token new36(  String text,   int line,   int pos) { return new TProduct(text, line, pos); }
    Token new37(  int line,   int pos) { return new TPowerOf(line, pos); }
    Token new38(  String text,   int line,   int pos) { return new TPlus(text, line, pos); }
    Token new39(  String text,   int line,   int pos) { return new TPartialFunction(text, line, pos); }
    Token new40(  String text,   int line,   int pos) { return new TPartialSurjection(text, line, pos); }
    Token new41(  int line,   int pos) { return new TComma(line, pos); }
    Token new42(  String text,   int line,   int pos) { return new TMinus(text, line, pos); }
    Token new43(  String text,   int line,   int pos) { return new TTotalFunction(text, line, pos); }
    Token new44(  String text,   int line,   int pos) { return new TTotalSurjection(text, line, pos); }
    Token new45(  String text,   int line,   int pos) { return new TInsertStartSequence(text, line, pos); }
    Token new46(  int line,   int pos) { return new TDot(line, pos); }
    Token new47(  String text,   int line,   int pos) { return new TInterval(text, line, pos); }
    Token new48(  String text,   int line,   int pos) { return new TDivision(text, line, pos); }
    Token new49(  String text,   int line,   int pos) { return new TNotBelonging(text, line, pos); }
    Token new50(  String text,   int line,   int pos) { return new TNonInclusion(text, line, pos); }
    Token new51(  String text,   int line,   int pos) { return new TStrictNonInclusion(text, line, pos); }
    Token new52(  String text,   int line,   int pos) { return new TNotEqual(text, line, pos); }
    Token new53(  int line,   int pos) { return new TSetSubtraction(line, pos); }
    Token new54(  String text,   int line,   int pos) { return new TIntersection(text, line, pos); }
    Token new55(  String text,   int line,   int pos) { return new TRestrictHeadSequence(text, line, pos); }
    Token new56(  String text,   int line,   int pos) { return new TElementOf(text, line, pos); }
    Token new57(  String text,   int line,   int pos) { return new TDoubleColon(text, line, pos); }
    Token new58(  String text,   int line,   int pos) { return new TAssign(text, line, pos); }
    Token new59(  int line,   int pos) { return new TSemicolon(line, pos); }
    Token new60(  String text,   int line,   int pos) { return new TLess(text, line, pos); }
    Token new61(  String text,   int line,   int pos) { return new TOverwriteRelation(text, line, pos); }
    Token new62(  String text,   int line,   int pos) { return new TSetRelation(text, line, pos); }
    Token new63(  String text,   int line,   int pos) { return new TInsertEndSequence(text, line, pos); }
    Token new64(  String text,   int line,   int pos) { return new TOutputParameters(text, line, pos); }
    Token new65(  String text,   int line,   int pos) { return new TInclusion(text, line, pos); }
    Token new66(  String text,   int line,   int pos) { return new TStrictInclusion(text, line, pos); }
    Token new67(  String text,   int line,   int pos) { return new TDomainSubtraction(text, line, pos); }
    Token new68(  String text,   int line,   int pos) { return new TLessEqual(text, line, pos); }
    Token new69(  String text,   int line,   int pos) { return new TEquivalence(text, line, pos); }
    Token new70(  String text,   int line,   int pos) { return new TDomainRestriction(text, line, pos); }
    Token new71(  String text,   int line,   int pos) { return new TEqual(text, line, pos); }
    Token new72(  String text,   int line,   int pos) { return new TDoubleEqual(text, line, pos); }
    Token new73(  String text,   int line,   int pos) { return new TImplies(text, line, pos); }
    Token new74(  String text,   int line,   int pos) { return new TGreater(text, line, pos); }
    Token new75(  String text,   int line,   int pos) { return new TPartialInjection(text, line, pos); }
    Token new76(  String text,   int line,   int pos) { return new TTotalInjection(text, line, pos); }
    Token new77(  String text,   int line,   int pos) { return new TPartialBijection(text, line, pos); }
    Token new78(  String text,   int line,   int pos) { return new TTotalBijection(text, line, pos); }
    Token new79(  String text,   int line,   int pos) { return new TDirectProduct(text, line, pos); }
    Token new80(  String text,   int line,   int pos) { return new TGreaterEqual(text, line, pos); }
    Token new81(  int line,   int pos) { return new TAbstractConstants(line, pos); }
    Token new82(  int line,   int pos) { return new TAbstractVariables(line, pos); }
    Token new83(  int line,   int pos) { return new TAny(line, pos); }
    Token new84(  int line,   int pos) { return new TAssert(line, pos); }
    Token new85(  int line,   int pos) { return new TAssertions(line, pos); }
    Token new86(  int line,   int pos) { return new TBe(line, pos); }
    Token new87(  int line,   int pos) { return new TBegin(line, pos); }
    Token new88(  int line,   int pos) { return new TBool(line, pos); }
    Token new89(  int line,   int pos) { return new TBfalse(line, pos); }
    Token new90(  int line,   int pos) { return new TCase(line, pos); }
    Token new91(  int line,   int pos) { return new TChoice(line, pos); }
    Token new92(  int line,   int pos) { return new TConcreteConstants(line, pos); }
    Token new93(  int line,   int pos) { return new TConcreteVariables(line, pos); }
    Token new94(  int line,   int pos) { return new TConstants(line, pos); }
    Token new95(  int line,   int pos) { return new TConstraints(line, pos); }
    Token new96(  int line,   int pos) { return new TDefinitions(line, pos); }
    Token new97(  int line,   int pos) { return new TDo(line, pos); }
    Token new98(  int line,   int pos) { return new TEither(line, pos); }
    Token new99(  int line,   int pos) { return new TElse(line, pos); }
    Token new100(  int line,   int pos) { return new TElsif(line, pos); }
    Token new101(  int line,   int pos) { return new TEnd(line, pos); }
    Token new102(  int line,   int pos) { return new TExtends(line, pos); }
    Token new103(  String text,   int line,   int pos) { return new TFalse(text, line, pos); }
    Token new104(  int line,   int pos) { return new TFin(line, pos); }
    Token new105(  int line,   int pos) { return new TFin1(line, pos); }
    Token new106(  int line,   int pos) { return new TIf(line, pos); }
    Token new107(  int line,   int pos) { return new TImplementation(line, pos); }
    Token new108(  int line,   int pos) { return new TImports(line, pos); }
    Token new109(  int line,   int pos) { return new TIn(line, pos); }
    Token new110(  int line,   int pos) { return new TIncludes(line, pos); }
    Token new111(  String text,   int line,   int pos) { return new TInitialisation(text, line, pos); }
    Token new112(  int line,   int pos) { return new TInt(line, pos); }
    Token new113(  String text,   int line,   int pos) { return new TInteger(text, line, pos); }
    Token new114(  String text,   int line,   int pos) { return new TQuantifiedInter(text, line, pos); }
    Token new115(  int line,   int pos) { return new TInvariant(line, pos); }
    Token new116(  int line,   int pos) { return new TLet(line, pos); }
    Token new117(  int line,   int pos) { return new TLocalOperations(line, pos); }
    Token new118(  int line,   int pos) { return new TMachine(line, pos); }
    Token new119(  int line,   int pos) { return new TModel(line, pos); }
    Token new120(  int line,   int pos) { return new TSystem(line, pos); }
    Token new121(  int line,   int pos) { return new TMaxInt(line, pos); }
    Token new122(  int line,   int pos) { return new TMinInt(line, pos); }
    Token new123(  int line,   int pos) { return new TNat(line, pos); }
    Token new124(  int line,   int pos) { return new TNat1(line, pos); }
    Token new125(  String text,   int line,   int pos) { return new TNatural(text, line, pos); }
    Token new126(  String text,   int line,   int pos) { return new TNatural1(text, line, pos); }
    Token new127(  int line,   int pos) { return new TOf(line, pos); }
    Token new128(  String text,   int line,   int pos) { return new TOperations(text, line, pos); }
    Token new129(  int line,   int pos) { return new TOr(line, pos); }
    Token new130(  String text,   int line,   int pos) { return new TPi(text, line, pos); }
    Token new131(  String text,   int line,   int pos) { return new TPow(text, line, pos); }
    Token new132(  String text,   int line,   int pos) { return new TPow1(text, line, pos); }
    Token new133(  int line,   int pos) { return new TPre(line, pos); }
    Token new134(  int line,   int pos) { return new TPromotes(line, pos); }
    Token new135(  int line,   int pos) { return new TProperties(line, pos); }
    Token new136(  int line,   int pos) { return new TRefines(line, pos); }
    Token new137(  int line,   int pos) { return new TRefinement(line, pos); }
    Token new138(  int line,   int pos) { return new TSees(line, pos); }
    Token new139(  int line,   int pos) { return new TSelect(line, pos); }
    Token new140(  int line,   int pos) { return new TSets(line, pos); }
    Token new141(  int line,   int pos) { return new TQuantifiedSet(line, pos); }
    Token new142(  String text,   int line,   int pos) { return new TSigma(text, line, pos); }
    Token new143(  int line,   int pos) { return new TString(line, pos); }
    Token new144(  int line,   int pos) { return new TThen(line, pos); }
    Token new145(  String text,   int line,   int pos) { return new TTrue(text, line, pos); }
    Token new146(  String text,   int line,   int pos) { return new TQuantifiedUnion(text, line, pos); }
    Token new147(  int line,   int pos) { return new TUses(line, pos); }
    Token new148(  int line,   int pos) { return new TValue(line, pos); }
    Token new149(  int line,   int pos) { return new TVar(line, pos); }
    Token new150(  int line,   int pos) { return new TVariant(line, pos); }
    Token new151(  int line,   int pos) { return new TVariables(line, pos); }
    Token new152(  int line,   int pos) { return new TWhen(line, pos); }
    Token new153(  int line,   int pos) { return new TWhere(line, pos); }
    Token new154(  int line,   int pos) { return new TWhile(line, pos); }
    Token new155(  int line,   int pos) { return new TLeftBracket(line, pos); }
    Token new156(  int line,   int pos) { return new TRightBracket(line, pos); }
    Token new157(  String text,   int line,   int pos) { return new TUnion(text, line, pos); }
    Token new158(  String text,   int line,   int pos) { return new TRestrictTailSequence(text, line, pos); }
    Token new159(  String text,   int line,   int pos) { return new TConcatSequence(text, line, pos); }
    Token new160(  int line,   int pos) { return new TArity(line, pos); }
    Token new161(  int line,   int pos) { return new TBin(line, pos); }
    Token new162(  int line,   int pos) { return new TBoolCast(line, pos); }
    Token new163(  int line,   int pos) { return new TBtree(line, pos); }
    Token new164(  int line,   int pos) { return new TCard(line, pos); }
    Token new165(  int line,   int pos) { return new TClosure(line, pos); }
    Token new166(  int line,   int pos) { return new TClosure1(line, pos); }
    Token new167(  int line,   int pos) { return new TConc(line, pos); }
    Token new168(  int line,   int pos) { return new TConst(line, pos); }
    Token new169(  int line,   int pos) { return new TDom(line, pos); }
    Token new170(  int line,   int pos) { return new TFather(line, pos); }
    Token new171(  int line,   int pos) { return new TFirst(line, pos); }
    Token new172(  int line,   int pos) { return new TFnc(line, pos); }
    Token new173(  int line,   int pos) { return new TFront(line, pos); }
    Token new174(  int line,   int pos) { return new TId(line, pos); }
    Token new175(  int line,   int pos) { return new TInfix(line, pos); }
    Token new176(  int line,   int pos) { return new TGeneralizedInter(line, pos); }
    Token new177(  int line,   int pos) { return new TIseq(line, pos); }
    Token new178(  int line,   int pos) { return new TIseq1(line, pos); }
    Token new179(  int line,   int pos) { return new TIterate(line, pos); }
    Token new180(  int line,   int pos) { return new TLast(line, pos); }
    Token new181(  int line,   int pos) { return new TLeft(line, pos); }
    Token new182(  int line,   int pos) { return new TMax(line, pos); }
    Token new183(  int line,   int pos) { return new TMin(line, pos); }
    Token new184(  int line,   int pos) { return new TMirror(line, pos); }
    Token new185(  int line,   int pos) { return new TMod(line, pos); }
    Token new186(  String text,   int line,   int pos) { return new TNot(text, line, pos); }
    Token new187(  String text,   int line,   int pos) { return new TLogicalOr(text, line, pos); }
    Token new188(  int line,   int pos) { return new TPerm(line, pos); }
    Token new189(  int line,   int pos) { return new TPostfix(line, pos); }
    Token new190(  int line,   int pos) { return new TPred(line, pos); }
    Token new191(  int line,   int pos) { return new TPrefix(line, pos); }
    Token new192(  int line,   int pos) { return new TPrj1(line, pos); }
    Token new193(  int line,   int pos) { return new TPrj2(line, pos); }
    Token new194(  int line,   int pos) { return new TRank(line, pos); }
    Token new195(  int line,   int pos) { return new TRan(line, pos); }
    Token new196(  int line,   int pos) { return new TRec(line, pos); }
    Token new197(  int line,   int pos) { return new TRel(line, pos); }
    Token new198(  int line,   int pos) { return new TRev(line, pos); }
    Token new199(  int line,   int pos) { return new TRight(line, pos); }
    Token new200(  int line,   int pos) { return new TSeq(line, pos); }
    Token new201(  int line,   int pos) { return new TSeq1(line, pos); }
    Token new202(  int line,   int pos) { return new TSizet(line, pos); }
    Token new203(  int line,   int pos) { return new TSize(line, pos); }
    Token new204(  int line,   int pos) { return new TSkip(line, pos); }
    Token new205(  int line,   int pos) { return new TSons(line, pos); }
    Token new206(  int line,   int pos) { return new TSon(line, pos); }
    Token new207(  int line,   int pos) { return new TStruct(line, pos); }
    Token new208(  int line,   int pos) { return new TSubtree(line, pos); }
    Token new209(  int line,   int pos) { return new TSucc(line, pos); }
    Token new210(  int line,   int pos) { return new TTail(line, pos); }
    Token new211(  int line,   int pos) { return new TTop(line, pos); }
    Token new212(  int line,   int pos) { return new TTree(line, pos); }
    Token new213(  int line,   int pos) { return new TGeneralizedUnion(line, pos); }
    Token new214(  String text,   int line,   int pos) { return new TEmptySet(text, line, pos); }
    Token new215(  int line,   int pos) { return new TLeftBrace(line, pos); }
    Token new216(  int line,   int pos) { return new TRightBrace(line, pos); }
    Token new217(  int line,   int pos) { return new TVerticalBar(line, pos); }
    Token new218(  String text,   int line,   int pos) { return new TDoubleVerticalBar(text, line, pos); }
    Token new219(  String text,   int line,   int pos) { return new TMaplet(text, line, pos); }
    Token new220(  String text,   int line,   int pos) { return new TRangeRestriction(text, line, pos); }
    Token new221(  String text,   int line,   int pos) { return new TRangeSubtraction(text, line, pos); }
    Token new222(  String text,   int line,   int pos) { return new TTilde(text, line, pos); }
    Token new223(  String text,   int line,   int pos) { return new TTotalRelation(text, line, pos); }
    Token new224(  String text,   int line,   int pos) { return new TSurjectionRelation(text, line, pos); }
    Token new225(  String text,   int line,   int pos) { return new TTotalSurjectionRelation(text, line, pos); }
    Token new226(  int line,   int pos) { return new TKwFreetypes(line, pos); }
    Token new227(  int line,   int pos) { return new TKwExpression(line, pos); }
    Token new228(  int line,   int pos) { return new TKwPredicate(line, pos); }
    Token new229(  int line,   int pos) { return new TKwFormula(line, pos); }
    Token new230(  int line,   int pos) { return new TKwSubstitution(line, pos); }
    Token new231(  int line,   int pos) { return new TKwAbstractConstants(line, pos); }
    Token new232(  int line,   int pos) { return new TKwAbstractVariables(line, pos); }
    Token new233(  int line,   int pos) { return new TKwAssertions(line, pos); }
    Token new234(  int line,   int pos) { return new TKwConcreteConstants(line, pos); }
    Token new235(  int line,   int pos) { return new TKwConcreteVariables(line, pos); }
    Token new236(  int line,   int pos) { return new TKwConstants(line, pos); }
    Token new237(  int line,   int pos) { return new TKwConstraints(line, pos); }
    Token new238(  int line,   int pos) { return new TKwDefinitions(line, pos); }
    Token new239(  int line,   int pos) { return new TKwDefinition(line, pos); }
    Token new240(  int line,   int pos) { return new TKwExtends(line, pos); }
    Token new241(  int line,   int pos) { return new TKwImports(line, pos); }
    Token new242(  int line,   int pos) { return new TKwIncludes(line, pos); }
    Token new243(  int line,   int pos) { return new TKwInitialisation(line, pos); }
    Token new244(  int line,   int pos) { return new TKwInvariant(line, pos); }
    Token new245(  int line,   int pos) { return new TKwLocalOperations(line, pos); }
    Token new246(  int line,   int pos) { return new TKwOperations(line, pos); }
    Token new247(  int line,   int pos) { return new TKwPromotes(line, pos); }
    Token new248(  int line,   int pos) { return new TKwProperties(line, pos); }
    Token new249(  int line,   int pos) { return new TKwSees(line, pos); }
    Token new250(  int line,   int pos) { return new TKwSets(line, pos); }
    Token new251(  int line,   int pos) { return new TKwUses(line, pos); }
    Token new252(  int line,   int pos) { return new TKwVariables(line, pos); }
    Token new253(  int line,   int pos) { return new TKwValues(line, pos); }
    Token new254(  int line,   int pos) { return new TKwOppattern(line, pos); }
    Token new255(  int line,   int pos) { return new TKwMachineClause(line, pos); }
    Token new256(  String text,   int line,   int pos) { return new TIdentifierLiteral(text, line, pos); }
    Token new257(  String text,   int line,   int pos) { return new TPragmaIdentifierLiteral(text, line, pos); }
    Token new258(  String text,   int line,   int pos) { return new TDefLiteralSubstitution(text, line, pos); }
    Token new259(  String text,   int line,   int pos) { return new TDefLiteralPredicate(text, line, pos); }
    Token new260(  String text,   int line,   int pos) { return new TPredicateIdentifier(text, line, pos); }
    Token new261(  int line,   int pos) { return new TTruthPredicate(line, pos); }
    Token new262(  String text,   int line,   int pos) { return new TIntegerLiteral(text, line, pos); }
    Token new263(  String text,   int line,   int pos) { return new THexLiteral(text, line, pos); }
    Token new264(  String text,   int line,   int pos) { return new TUnderscore(text, line, pos); }
    Token new265(  String text,   int line,   int pos) { return new TWhiteSpace(text, line, pos); }
    Token new266(  int line,   int pos) { return new TKwRulesMachine(line, pos); }
    Token new267(  int line,   int pos) { return new TKwRule(line, pos); }
    Token new268(  int line,   int pos) { return new TKwRuleId(line, pos); }
    Token new269(  String text,   int line,   int pos) { return new TKwSubstitutionOperator(text, line, pos); }
    Token new270(  String text,   int line,   int pos) { return new TKwPredicateOperator(text, line, pos); }
    Token new271(  int line,   int pos) { return new TKwConstantDependencies(line, pos); }
    Token new272(  int line,   int pos) { return new TKwFor(line, pos); }
    Token new273(  int line,   int pos) { return new TKwForAll(line, pos); }
    Token new274(  int line,   int pos) { return new TKwRuleForAll(line, pos); }
    Token new275(  int line,   int pos) { return new TKwExpect(line, pos); }
    Token new276(  int line,   int pos) { return new TKwCounterexample(line, pos); }

    private int getChar() throws IOException
    {
        if(this.eof)
        {
            return -1;
        }

        int result = this.in.read();

        if(result == -1)
        {
            this.eof = true;
        }

        return result;
    }

    private void pushBack(int acceptLength) throws IOException
    {
        int length = this.text.length();
        for(int i = length - 1; i >= acceptLength; i--)
        {
            this.eof = false;

            this.in.unread(this.text.charAt(i));
        }
    }

    protected void unread(  Token token) throws IOException
    {
          String text = token.getText();
        int length = text.length();

        for(int i = length - 1; i >= 0; i--)
        {
            this.eof = false;

            this.in.unread(text.charAt(i));
        }

        this.pos = token.getPos() - 1;
        this.line = token.getLine() - 1;
    }

    private String getText(int acceptLength)
    {
        StringBuffer s = new StringBuffer(acceptLength);
        for(int i = 0; i < acceptLength; i++)
        {
            s.append(this.text.charAt(i));
        }

        return s.toString();
    }

    private static int[][][][] gotoTable;
/*  {
        { // SECTION
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {35, 35, 3}, {47, 47, 4}, {65, 67, 5}, {68, 68, 6}, {69, 72, 5}, {73, 73, 7}, {74, 76, 5}, {77, 77, 8}, {78, 81, 5}, {82, 82, 9}, {83, 83, 10}, {84, 90, 5}, {97, 122, 11}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 8233, -2}, },
            {},
            {{33, 33, 12}, {65, 65, 13}, {67, 67, 14}, {68, 68, 15}, {69, 69, 16}, {70, 70, 17}, {73, 73, 18}, {76, 76, 19}, {77, 77, 20}, {79, 79, 21}, {80, 80, 22}, {83, 83, 23}, {85, 85, 24}, {86, 86, 25}, },
            {{42, 42, 26}, {47, 47, 27}, },
            {{48, 57, 28}, {65, 90, 29}, {95, 95, 30}, {97, 122, 31}, },
            {{48, 57, 28}, {65, 68, 29}, {69, 69, 32}, {70, 90, 29}, {95, 122, -7}, },
            {{48, 57, 28}, {65, 76, 29}, {77, 77, 33}, {78, 90, 29}, {95, 122, -7}, },
            {{48, 57, 28}, {65, 65, 34}, {66, 78, 29}, {79, 79, 35}, {80, 90, 29}, {95, 122, -7}, },
            {{48, 68, -8}, {69, 69, 36}, {70, 122, -8}, },
            {{48, 57, 28}, {65, 88, 29}, {89, 89, 37}, {90, 90, 29}, {95, 122, -7}, },
            {{48, 122, -7}, },
            {},
            {{66, 66, 38}, {83, 83, 39}, },
            {{79, 79, 40}, },
            {{69, 69, 41}, },
            {{88, 88, 42}, },
            {{79, 79, 43}, },
            {{77, 77, 44}, {78, 78, 45}, },
            {{79, 79, 46}, },
            {{65, 65, 47}, },
            {{80, 80, 48}, },
            {{82, 82, 49}, },
            {{69, 69, 50}, {85, 85, 51}, },
            {{83, 83, 52}, },
            {{65, 65, 53}, },
            {{64, 64, 54}, },
            {{0, 9, 55}, {10, 10, 56}, {11, 12, 55}, {13, 13, 56}, {14, 65535, 55}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 57, 28}, {65, 69, 29}, {70, 70, 57}, {71, 90, 29}, {95, 122, -7}, },
            {{48, 57, 28}, {65, 79, 29}, {80, 80, 58}, {81, 90, 29}, {95, 122, -7}, },
            {{48, 57, 28}, {65, 66, 29}, {67, 67, 59}, {68, 90, 29}, {95, 122, -7}, },
            {{48, 57, 28}, {65, 67, 29}, {68, 68, 60}, {69, 90, 29}, {95, 122, -7}, },
            {{48, 69, -34}, {70, 70, 61}, {71, 122, -34}, },
            {{48, 57, 28}, {65, 82, 29}, {83, 83, 62}, {84, 90, 29}, {95, 122, -7}, },
            {{83, 83, 63}, },
            {{83, 83, 64}, },
            {{78, 78, 65}, },
            {{70, 70, 66}, },
            {{80, 80, 67}, {84, 84, 68}, },
            {{82, 82, 69}, },
            {{80, 80, 70}, },
            {{67, 67, 71}, {73, 73, 72}, {86, 86, 73}, },
            {{67, 67, 74}, },
            {{67, 67, 75}, },
            {{69, 69, 76}, {80, 80, 77}, },
            {{69, 69, 78}, {79, 79, 79}, },
            {{69, 69, 80}, {84, 84, 81}, },
            {{66, 66, 82}, },
            {{69, 69, 83}, },
            {{76, 76, 84}, {82, 82, 85}, },
            {},
            {{0, 65535, -29}, },
            {},
            {{48, 57, 28}, {65, 72, 29}, {73, 73, 86}, {74, 90, 29}, {95, 122, -7}, },
            {{48, 57, 28}, {65, 75, 29}, {76, 76, 87}, {77, 90, 29}, {95, 122, -7}, },
            {{48, 57, 28}, {65, 71, 29}, {72, 72, 88}, {73, 90, 29}, {95, 122, -7}, },
            {{48, 68, -8}, {69, 69, 89}, {70, 122, -8}, },
            {{48, 72, -59}, {73, 73, 90}, {74, 122, -59}, },
            {{48, 57, 28}, {65, 83, 29}, {84, 84, 91}, {85, 90, 29}, {95, 122, -7}, },
            {{84, 84, 92}, },
            {{69, 69, 93}, },
            {{67, 67, 94}, {83, 83, 95}, },
            {{73, 73, 96}, },
            {{82, 82, 97}, },
            {{69, 69, 98}, },
            {{77, 77, 99}, },
            {{79, 79, 100}, },
            {{76, 76, 101}, },
            {{84, 84, 102}, },
            {{65, 65, 103}, },
            {{65, 65, 104}, },
            {{72, 72, 105}, },
            {{82, 82, 106}, },
            {{65, 65, 107}, },
            {{68, 68, 108}, },
            {{77, 77, 109}, {80, 80, 110}, },
            {{83, 83, 111}, },
            {{83, 83, 112}, },
            {{83, 83, 113}, },
            {{83, 83, 114}, },
            {{85, 85, 115}, },
            {{73, 73, 116}, },
            {{48, 57, 28}, {65, 77, 29}, {78, 78, 117}, {79, 90, 29}, {95, 122, -7}, },
            {{48, 68, -8}, {69, 69, 118}, {70, 122, -8}, },
            {{48, 72, -59}, {73, 73, 119}, {74, 122, -59}, },
            {{48, 75, -60}, {76, 76, 120}, {77, 122, -60}, },
            {{48, 77, -88}, {78, 78, 121}, {79, 122, -88}, },
            {{48, 68, -8}, {69, 69, 122}, {70, 122, -8}, },
            {{82, 82, 123}, },
            {{82, 82, 124}, },
            {{82, 82, 125}, },
            {{84, 84, 126}, },
            {{78, 78, 127}, },
            {{69, 69, 128}, },
            {{78, 78, 129}, },
            {{85, 85, 130}, },
            {{82, 82, 131}, },
            {{85, 85, 132}, },
            {{73, 73, 133}, },
            {{82, 82, 134}, },
            {{76, 76, 135}, },
            {{73, 73, 136}, },
            {{65, 65, 137}, },
            {{84, 84, 138}, },
            {{73, 73, 139}, },
            {{79, 79, 140}, },
            {{69, 69, 141}, },
            {},
            {},
            {{84, 84, 142}, },
            {},
            {{69, 69, 143}, },
            {{65, 65, 144}, },
            {{48, 72, -59}, {73, 73, 145}, {74, 122, -59}, },
            {{48, 76, -9}, {77, 77, 146}, {78, 122, -9}, },
            {{48, 77, -88}, {78, 78, 147}, {79, 122, -88}, },
            {{48, 122, -7}, },
            {{48, 68, -8}, {69, 69, 148}, {70, 122, -8}, },
            {{48, 76, -9}, {77, 77, 149}, {78, 122, -9}, },
            {{65, 65, 150}, },
            {{84, 84, 151}, },
            {{69, 69, 152}, },
            {{65, 65, 153}, {82, 82, 154}, },
            {{73, 73, 155}, },
            {{83, 83, 156}, },
            {{68, 68, 157}, },
            {{76, 76, 158}, },
            {{84, 84, 159}, },
            {{68, 68, 160}, },
            {{65, 65, 161}, },
            {{73, 73, 162}, },
            {{95, 95, 163}, },
            {{78, 78, 164}, },
            {{84, 84, 165}, },
            {{84, 84, 166}, },
            {{67, 67, 167}, },
            {{84, 84, 168}, },
            {{82, 82, 169}, },
            {{73, 73, 170}, },
            {{83, 83, 171}, },
            {{66, 66, 172}, },
            {{48, 83, -64}, {84, 84, 173}, {85, 122, -64}, },
            {{48, 68, -8}, {69, 69, 174}, {70, 122, -8}, },
            {{48, 68, -8}, {69, 69, 175}, {70, 122, -8}, },
            {{48, 76, -9}, {77, 77, 176}, {78, 122, -9}, },
            {{48, 122, -7}, },
            {{67, 67, 177}, },
            {{73, 73, 178}, },
            {{84, 84, 179}, },
            {{78, 78, 180}, },
            {{65, 65, 181}, },
            {{84, 84, 182}, },
            {{83, 83, 183}, },
            {{83, 83, 184}, },
            {{65, 65, 185}, },
            {{83, 83, 186}, },
            {{69, 69, 187}, },
            {{76, 76, 188}, },
            {{65, 65, 189}, },
            {{79, 79, 190}, },
            {{69, 69, 191}, },
            {{73, 73, 192}, },
            {{69, 69, 193}, },
            {{65, 65, 194}, },
            {{69, 69, 195}, },
            {{84, 84, 196}, },
            {{84, 84, 197}, },
            {},
            {{76, 76, 198}, },
            {{48, 72, -59}, {73, 73, 199}, {74, 122, -59}, },
            {{48, 77, -88}, {78, 78, 200}, {79, 122, -88}, },
            {{48, 122, -7}, },
            {{48, 68, -8}, {69, 69, 201}, {70, 122, -8}, },
            {{84, 84, 202}, },
            {{79, 79, 203}, },
            {{69, 69, 204}, },
            {{84, 84, 205}, },
            {{73, 73, 206}, },
            {{73, 73, 207}, },
            {{73, 73, 208}, },
            {},
            {},
            {},
            {{83, 83, 209}, },
            {{73, 73, 210}, },
            {{78, 78, 211}, },
            {{80, 80, 212}, },
            {{67, 67, 213}, },
            {{79, 79, 214}, },
            {{82, 82, 215}, },
            {{84, 84, 216}, },
            {{83, 83, 217}, },
            {{73, 73, 218}, },
            {{85, 85, 219}, },
            {{69, 69, 220}, },
            {{48, 57, 28}, {65, 78, 29}, {79, 79, 221}, {80, 122, -10}, },
            {{48, 83, -64}, {84, 84, 222}, {85, 122, -64}, },
            {{48, 77, -88}, {78, 78, 223}, {79, 122, -88}, },
            {{95, 95, 224}, },
            {{78, 78, 225}, },
            {{95, 95, 226}, },
            {{83, 83, 227}, },
            {{78, 78, 228}, },
            {{79, 79, 229}, },
            {{79, 79, 230}, },
            {},
            {{83, 83, 231}, },
            {{84, 84, 232}, },
            {{69, 69, 233}, },
            {{76, 76, 234}, },
            {{78, 78, 235}, },
            {{78, 78, 236}, },
            {{69, 69, 237}, },
            {},
            {{69, 69, 238}, },
            {{84, 84, 239}, },
            {{83, 83, 240}, },
            {{48, 77, -88}, {78, 78, 241}, {79, 122, -88}, },
            {{48, 57, 28}, {65, 65, 242}, {66, 90, 29}, {95, 122, -7}, },
            {{48, 83, -64}, {84, 84, 243}, {85, 122, -64}, },
            {{67, 67, 244}, {86, 86, 245}, },
            {{83, 83, 246}, },
            {{67, 67, 247}, {86, 86, 248}, },
            {},
            {{84, 84, 249}, },
            {{78, 78, 250}, },
            {{78, 78, 251}, },
            {{65, 65, 252}, },
            {},
            {{82, 82, 253}, },
            {{65, 65, 254}, },
            {{83, 83, 255}, },
            {},
            {},
            {{83, 83, 256}, },
            {{73, 73, 257}, },
            {},
            {{48, 82, -39}, {83, 83, 258}, {84, 122, -39}, },
            {{48, 83, -64}, {84, 84, 259}, {85, 122, -64}, },
            {{48, 122, -7}, },
            {{79, 79, 260}, },
            {{65, 65, 261}, },
            {},
            {{79, 79, 262}, },
            {{65, 65, 263}, },
            {{83, 83, 264}, },
            {{83, 83, 265}, },
            {},
            {{84, 84, 266}, },
            {{65, 65, 267}, },
            {{85, 85, 268}, },
            {},
            {},
            {{79, 79, 269}, },
            {{48, 122, -7}, },
            {{48, 72, -59}, {73, 73, 270}, {74, 122, -59}, },
            {{78, 78, 271}, },
            {{82, 82, 272}, },
            {{78, 78, 273}, },
            {{82, 82, 274}, },
            {},
            {},
            {{73, 73, 275}, },
            {{84, 84, 276}, },
            {{83, 83, 277}, },
            {{78, 78, 278}, },
            {{48, 78, -201}, {79, 79, 279}, {80, 122, -10}, },
            {{83, 83, 280}, },
            {{73, 73, 281}, },
            {{83, 83, 282}, },
            {{73, 73, 283}, },
            {{79, 79, 284}, },
            {{73, 73, 285}, },
            {{69, 69, 286}, },
            {},
            {{48, 77, -88}, {78, 78, 287}, {79, 122, -88}, },
            {{84, 84, 288}, },
            {{65, 65, 289}, },
            {{84, 84, 290}, },
            {{65, 65, 291}, },
            {{78, 78, 292}, },
            {{79, 79, 293}, },
            {},
            {{48, 122, -7}, },
            {{65, 65, 294}, },
            {{66, 66, 295}, },
            {{65, 65, 296}, },
            {{66, 66, 297}, },
            {},
            {{78, 78, 298}, },
            {{78, 78, 299}, },
            {{76, 76, 300}, },
            {{78, 78, 301}, },
            {{76, 76, 302}, },
            {{83, 83, 303}, },
            {{84, 84, 304}, },
            {{69, 69, 305}, },
            {{84, 84, 306}, },
            {{69, 69, 307}, },
            {},
            {{83, 83, 308}, },
            {{83, 83, 309}, },
            {{83, 83, 310}, },
            {{83, 83, 311}, },
            {},
            {},
            {},
            {},
        }
        { // NORMAL
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 33, 3}, {34, 34, 4}, {35, 35, 5}, {36, 36, 6}, {37, 37, 7}, {38, 38, 8}, {39, 39, 9}, {40, 40, 10}, {41, 41, 11}, {42, 42, 12}, {43, 43, 13}, {44, 44, 14}, {45, 45, 15}, {46, 46, 16}, {47, 47, 17}, {48, 48, 18}, {49, 57, 19}, {58, 58, 20}, {59, 59, 21}, {60, 60, 22}, {61, 61, 23}, {62, 62, 24}, {65, 65, 25}, {66, 66, 26}, {67, 67, 27}, {68, 68, 28}, {69, 69, 29}, {70, 70, 30}, {71, 72, 31}, {73, 73, 32}, {74, 75, 31}, {76, 76, 33}, {77, 77, 34}, {78, 78, 35}, {79, 79, 36}, {80, 80, 37}, {81, 81, 31}, {82, 82, 38}, {83, 83, 39}, {84, 84, 40}, {85, 85, 41}, {86, 86, 42}, {87, 87, 43}, {88, 90, 31}, {91, 91, 44}, {92, 92, 45}, {93, 93, 46}, {94, 94, 47}, {95, 95, 48}, {97, 97, 49}, {98, 98, 50}, {99, 99, 51}, {100, 100, 52}, {101, 101, 53}, {102, 102, 54}, {103, 104, 53}, {105, 105, 55}, {106, 107, 53}, {108, 108, 56}, {109, 109, 57}, {110, 110, 58}, {111, 111, 59}, {112, 112, 60}, {113, 113, 53}, {114, 114, 61}, {115, 115, 62}, {116, 116, 63}, {117, 117, 64}, {118, 122, 53}, {123, 123, 65}, {124, 124, 66}, {125, 125, 67}, {126, 126, 68}, {127, 160, 1}, {172, 172, 69}, {215, 215, 70}, {247, 247, 71}, {955, 955, 72}, {8206, 8207, 1}, {8229, 8229, 73}, {8232, 8233, 1}, {8315, 8315, 74}, {8469, 8469, 75}, {8473, 8473, 76}, {8484, 8484, 77}, {8592, 8592, 78}, {8593, 8593, 79}, {8594, 8594, 80}, {8595, 8595, 81}, {8596, 8596, 82}, {8608, 8608, 83}, {8611, 8611, 84}, {8614, 8614, 85}, {8658, 8658, 86}, {8660, 8660, 87}, {8696, 8696, 88}, {8701, 8701, 89}, {8702, 8702, 90}, {8704, 8704, 91}, {8707, 8707, 92}, {8709, 8709, 93}, {8712, 8712, 94}, {8713, 8713, 95}, {8719, 8719, 96}, {8721, 8721, 97}, {8722, 8722, 98}, {8741, 8741, 99}, {8743, 8743, 100}, {8744, 8744, 101}, {8745, 8745, 102}, {8746, 8746, 103}, {8764, 8764, 104}, {8800, 8800, 105}, {8804, 8804, 106}, {8805, 8805, 107}, {8834, 8834, 108}, {8836, 8836, 109}, {8838, 8838, 110}, {8840, 8840, 111}, {8855, 8855, 112}, {8868, 8868, 113}, {8869, 8869, 114}, {8898, 8898, 115}, {8899, 8899, 116}, {8918, 8918, 117}, {8978, 8978, 118}, {9654, 9654, 119}, {9655, 9655, 120}, {9664, 9664, 121}, {9665, 9665, 122}, {10496, 10496, 123}, {10516, 10516, 124}, {10518, 10518, 125}, {10852, 10852, 126}, {10853, 10853, 127}, {57600, 57600, 128}, {57601, 57601, 129}, {57602, 57602, 130}, {57603, 57603, 131}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {},
            {},
            {{0, 33, 132}, {34, 34, 133}, {35, 91, 132}, {92, 92, 134}, {93, 65535, 132}, },
            {{33, 33, 135}, {108, 108, 136}, {112, 112, 137}, {116, 116, 138}, },
            {},
            {},
            {},
            {{39, 39, 139}, },
            {},
            {},
            {{42, 42, 140}, },
            {{45, 45, 141}, {8722, 8722, 142}, },
            {},
            {{45, 45, 143}, {62, 62, 144}, {8722, 8722, 145}, },
            {{46, 46, 146}, },
            {{42, 42, 147}, {47, 47, 148}, {58, 58, 149}, {60, 60, 150}, {61, 61, 151}, {92, 92, 152}, {124, 124, 153}, },
            {{48, 57, 19}, {120, 120, 154}, },
            {{48, 57, 19}, },
            {{58, 58, 155}, {61, 61, 156}, {8712, 8712, 157}, },
            {},
            {{43, 43, 158}, {45, 45, 159}, {58, 58, 160}, {60, 60, 161}, {61, 61, 162}, {124, 124, 163}, {8722, 8722, 164}, },
            {{61, 61, 165}, {62, 62, 166}, },
            {{43, 43, 167}, {45, 45, 168}, {60, 60, 169}, {61, 61, 170}, {8722, 8722, 171}, },
            {{48, 57, 172}, {65, 65, 173}, {66, 66, 174}, {67, 77, 173}, {78, 78, 175}, {79, 82, 173}, {83, 83, 176}, {84, 90, 173}, {95, 95, 177}, {97, 122, 178}, },
            {{48, 57, 172}, {65, 68, 173}, {69, 69, 179}, {70, 78, 173}, {79, 79, 180}, {80, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 65, 181}, {66, 71, 173}, {72, 72, 182}, {73, 78, 173}, {79, 79, 183}, {80, 122, -28}, },
            {{48, 68, -28}, {69, 69, 184}, {70, 78, 173}, {79, 79, 185}, {80, 122, -28}, },
            {{48, 57, 172}, {65, 72, 173}, {73, 73, 186}, {74, 75, 173}, {76, 76, 187}, {77, 77, 173}, {78, 78, 188}, {79, 85, 173}, {86, 86, 189}, {87, 87, 173}, {88, 88, 190}, {89, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 65, 191}, {66, 72, 173}, {73, 73, 192}, {74, 78, 173}, {79, 79, 193}, {80, 81, 173}, {82, 82, 194}, {83, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 69, 173}, {70, 70, 195}, {71, 76, 173}, {77, 77, 196}, {78, 78, 197}, {79, 90, 173}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 198}, {70, 78, 173}, {79, 79, 199}, {80, 122, -28}, },
            {{48, 57, 172}, {65, 65, 200}, {66, 72, 173}, {73, 73, 201}, {74, 78, 173}, {79, 79, 202}, {80, 122, -28}, },
            {{48, 57, 172}, {65, 65, 203}, {66, 90, 173}, {95, 122, -27}, },
            {{48, 69, -34}, {70, 70, 204}, {71, 79, 173}, {80, 80, 205}, {81, 81, 173}, {82, 82, 206}, {83, 122, -32}, },
            {{48, 72, -31}, {73, 73, 207}, {74, 78, 173}, {79, 79, 208}, {80, 81, 173}, {82, 82, 209}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 210}, {70, 84, 173}, {85, 85, 211}, {86, 90, 173}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 212}, {70, 72, 173}, {73, 73, 213}, {74, 83, 173}, {84, 84, 214}, {85, 88, 173}, {89, 89, 215}, {90, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 71, 173}, {72, 72, 216}, {73, 81, 173}, {82, 82, 217}, {83, 122, -32}, },
            {{48, 57, 172}, {65, 77, 173}, {78, 78, 218}, {79, 82, 173}, {83, 83, 219}, {84, 122, -27}, },
            {{48, 57, 172}, {65, 65, 220}, {66, 122, -37}, },
            {{48, 71, -42}, {72, 72, 221}, {73, 90, 173}, {95, 122, -27}, },
            {},
            {{47, 47, 222}, {124, 124, 223}, },
            {},
            {},
            {},
            {{48, 95, -33}, {97, 113, 178}, {114, 114, 224}, {115, 122, 178}, },
            {{48, 95, -33}, {97, 101, 178}, {102, 102, 225}, {103, 104, 178}, {105, 105, 226}, {106, 110, 178}, {111, 111, 227}, {112, 115, 178}, {116, 116, 228}, {117, 122, 178}, },
            {{48, 95, -33}, {97, 97, 229}, {98, 107, 178}, {108, 108, 230}, {109, 110, 178}, {111, 111, 231}, {112, 122, 178}, },
            {{48, 95, -33}, {97, 110, 178}, {111, 111, 232}, {112, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 95, -33}, {97, 97, 233}, {98, 104, 178}, {105, 105, 234}, {106, 109, 178}, {110, 110, 235}, {111, 113, 178}, {114, 114, 236}, {115, 122, 178}, },
            {{48, 95, -33}, {97, 99, 178}, {100, 100, 237}, {101, 109, 178}, {110, 110, 238}, {111, 114, 178}, {115, 115, 239}, {116, 116, 240}, {117, 122, 178}, },
            {{48, 95, -33}, {97, 97, 241}, {98, 100, 178}, {101, 101, 242}, {102, 122, 178}, },
            {{48, 95, -33}, {97, 97, 243}, {98, 104, 178}, {105, 105, 244}, {106, 110, 178}, {111, 111, 245}, {112, 122, 178}, },
            {{48, 110, -54}, {111, 111, 246}, {112, 122, 178}, },
            {{48, 113, -51}, {114, 114, 247}, {115, 122, 178}, },
            {{48, 95, -33}, {97, 100, 178}, {101, 101, 248}, {102, 110, 178}, {111, 111, 249}, {112, 113, 178}, {114, 114, 250}, {115, 122, 178}, },
            {{48, 95, -33}, {97, 97, 251}, {98, 100, 178}, {101, 101, 252}, {102, 104, 178}, {105, 105, 253}, {106, 122, 178}, },
            {{48, 100, -62}, {101, 101, 254}, {102, 104, 178}, {105, 105, 255}, {106, 106, 178}, {107, 107, 256}, {108, 110, 178}, {111, 111, 257}, {112, 115, 178}, {116, 116, 258}, {117, 117, 259}, {118, 122, 178}, },
            {{48, 95, -33}, {97, 97, 260}, {98, 110, 178}, {111, 111, 261}, {112, 113, 178}, {114, 114, 262}, {115, 122, 178}, },
            {{48, 95, -33}, {97, 109, 178}, {110, 110, 263}, {111, 122, 178}, },
            {},
            {{45, 45, 264}, {62, 62, 265}, {124, 124, 266}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{185, 185, 267}, },
            {{49, 49, 268}, {8321, 8321, 269}, },
            {{49, 49, 270}, {8321, 8321, 271}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{45, 8722, -17}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{0, 65535, -6}, },
            {},
            {{0, 33, 132}, {34, 34, 272}, {35, 65535, -6}, },
            {},
            {{105, 105, 273}, },
            {{114, 114, 274}, },
            {{114, 114, 275}, },
            {{39, 39, 276}, },
            {},
            {{62, 62, 277}, },
            {{62, 62, 277}, },
            {{62, 62, 278}, },
            {},
            {{62, 62, 278}, },
            {},
            {{64, 64, 279}, },
            {{0, 9, 280}, {10, 10, 281}, {11, 12, 280}, {13, 13, 281}, {14, 65535, 280}, },
            {},
            {{58, 58, 282}, {60, 60, 283}, },
            {},
            {},
            {{92, 92, 284}, },
            {{48, 57, 285}, {65, 70, 285}, {97, 102, 285}, },
            {},
            {},
            {},
            {},
            {{45, 45, 286}, {62, 62, 287}, },
            {},
            {{45, 45, 288}, {58, 58, 289}, {124, 124, 290}, {8722, 8722, 291}, },
            {{62, 62, 292}, },
            {},
            {{62, 62, 287}, },
            {},
            {},
            {{62, 62, 293}, },
            {{62, 62, 294}, },
            {},
            {},
            {{62, 62, 294}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 82, 173}, {83, 83, 295}, {84, 122, -27}, },
            {{48, 57, 172}, {65, 88, 173}, {89, 89, 296}, {90, 122, -41}, },
            {{48, 82, -176}, {83, 83, 297}, {84, 122, -27}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 70, 173}, {71, 71, 298}, {72, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 78, 173}, {79, 79, 299}, {80, 122, -28}, },
            {{48, 82, -176}, {83, 83, 300}, {84, 122, -27}, },
            {{48, 78, -182}, {79, 79, 301}, {80, 122, -28}, },
            {{48, 77, -43}, {78, 78, 302}, {79, 84, 173}, {85, 85, 303}, {86, 122, -40}, },
            {{48, 69, -34}, {70, 70, 304}, {71, 90, 173}, {95, 122, -27}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 83, 173}, {84, 84, 305}, {85, 90, 173}, {95, 122, -27}, },
            {{48, 82, -176}, {83, 83, 306}, {84, 122, -27}, },
            {{48, 57, 172}, {65, 67, 173}, {68, 68, 307}, {69, 90, 173}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 308}, {70, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 79, 173}, {80, 80, 309}, {81, 83, 173}, {84, 84, 310}, {85, 122, -188}, },
            {{48, 57, 172}, {65, 75, 173}, {76, 76, 311}, {77, 90, 173}, {95, 122, -27}, },
            {{48, 77, -43}, {78, 78, 312}, {79, 122, -34}, },
            {{48, 57, 172}, {65, 81, 173}, {82, 82, 313}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 314}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 79, -192}, {80, 80, 315}, {81, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 66, 173}, {67, 67, 316}, {68, 72, 173}, {73, 73, 317}, {74, 83, 173}, {84, 84, 318}, {85, 85, 173}, {86, 86, 319}, {87, 90, 173}, {95, 122, -27}, },
            {{48, 83, -188}, {84, 84, 320}, {85, 122, -188}, },
            {{48, 66, -199}, {67, 67, 321}, {68, 90, 173}, {95, 122, -27}, },
            {{48, 66, -199}, {67, 67, 322}, {68, 87, 173}, {88, 88, 323}, {89, 122, -31}, },
            {{48, 77, -43}, {78, 78, 324}, {79, 122, -34}, },
            {{48, 67, -190}, {68, 68, 325}, {69, 122, -190}, },
            {{48, 83, -188}, {84, 84, 326}, {85, 122, -188}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 327}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 86, 173}, {87, 87, 328}, {88, 90, 173}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 329}, {70, 78, 173}, {79, 79, 330}, {80, 122, -28}, },
            {{48, 69, -34}, {70, 70, 331}, {71, 122, -186}, },
            {{48, 75, -193}, {76, 76, 332}, {77, 122, -193}, },
            {{48, 68, -28}, {69, 69, 333}, {70, 75, 173}, {76, 76, 334}, {77, 83, 173}, {84, 84, 335}, {85, 122, -188}, },
            {{48, 70, -181}, {71, 71, 336}, {72, 122, -181}, },
            {{48, 81, -195}, {82, 82, 337}, {83, 122, -32}, },
            {{48, 82, -176}, {83, 83, 338}, {84, 122, -27}, },
            {{48, 68, -28}, {69, 69, 339}, {70, 122, -191}, },
            {{48, 57, 172}, {65, 84, 173}, {85, 85, 340}, {86, 122, -40}, },
            {{48, 72, -31}, {73, 73, 341}, {74, 90, 173}, {95, 122, -27}, },
            {{48, 68, -28}, {69, 69, 342}, {70, 122, -191}, },
            {{48, 75, -193}, {76, 76, 343}, {77, 81, 173}, {82, 82, 344}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 345}, {70, 72, 173}, {73, 73, 346}, {74, 122, -220}, },
            {},
            {{47, 47, 347}, },
            {{48, 95, -33}, {97, 104, 178}, {105, 105, 348}, {106, 122, 178}, },
            {{48, 95, -33}, {97, 97, 349}, {98, 122, 178}, },
            {{48, 109, -66}, {110, 110, 350}, {111, 122, 178}, },
            {{48, 110, -54}, {111, 111, 351}, {112, 122, 178}, },
            {{48, 113, -51}, {114, 114, 352}, {115, 122, 178}, },
            {{48, 113, -51}, {114, 114, 353}, {115, 122, 178}, },
            {{48, 110, -54}, {111, 111, 354}, {112, 122, 178}, },
            {{48, 109, -66}, {110, 110, 355}, {111, 122, 178}, },
            {{48, 95, -33}, {97, 108, 178}, {109, 109, 356}, {110, 122, 178}, },
            {{48, 95, -33}, {97, 115, 178}, {116, 116, 357}, {117, 122, 178}, },
            {{48, 113, -51}, {114, 114, 358}, {115, 122, 178}, },
            {{48, 95, -33}, {97, 98, 178}, {99, 99, 359}, {100, 122, 178}, },
            {{48, 110, -54}, {111, 111, 360}, {112, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 101, -52}, {102, 102, 361}, {103, 115, 178}, {116, 116, 362}, {117, 122, 178}, },
            {{48, 100, -62}, {101, 101, 363}, {102, 122, 178}, },
            {{48, 100, -62}, {101, 101, 364}, {102, 122, 178}, },
            {{48, 95, -33}, {97, 114, 178}, {115, 115, 365}, {116, 122, 178}, },
            {{48, 101, -52}, {102, 102, 366}, {103, 122, 178}, },
            {{48, 95, -33}, {97, 119, 178}, {120, 120, 367}, {121, 122, 178}, },
            {{48, 109, -66}, {110, 110, 368}, {111, 113, 178}, {114, 114, 369}, {115, 122, 178}, },
            {{48, 99, -57}, {100, 100, 370}, {101, 122, 178}, },
            {{48, 115, -235}, {116, 116, 371}, {117, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 113, -51}, {114, 114, 372}, {115, 122, 178}, },
            {{48, 114, -243}, {115, 115, 373}, {116, 122, 178}, },
            {{48, 100, -62}, {101, 101, 374}, {102, 105, 178}, {106, 106, 375}, {107, 122, 178}, },
            {{48, 109, -66}, {110, 110, 376}, {111, 122, 178}, },
            {{48, 98, -237}, {99, 99, 377}, {100, 107, 178}, {108, 108, 378}, {109, 117, 178}, {118, 118, 379}, {119, 122, 178}, },
            {{48, 95, -33}, {97, 102, 178}, {103, 103, 380}, {104, 122, 178}, },
            {{48, 95, -33}, {97, 112, 178}, {113, 113, 381}, {114, 122, 178}, },
            {{48, 95, -33}, {97, 121, 178}, {122, 122, 382}, },
            {{48, 104, -226}, {105, 105, 383}, {106, 122, 178}, },
            {{48, 109, -66}, {110, 110, 384}, {111, 122, 178}, },
            {{48, 113, -51}, {114, 114, 385}, {115, 122, 178}, },
            {{48, 95, -33}, {97, 97, 178}, {98, 98, 386}, {99, 99, 387}, {100, 122, 178}, },
            {{48, 104, -226}, {105, 105, 388}, {106, 122, 178}, },
            {{48, 95, -33}, {97, 111, 178}, {112, 112, 389}, {113, 122, 178}, },
            {{48, 100, -62}, {101, 101, 390}, {102, 122, 178}, },
            {{48, 104, -226}, {105, 105, 391}, {106, 122, 178}, },
            {{62, 62, 392}, },
            {{62, 62, 393}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {{0, 65535, -6}, },
            {{116, 116, 394}, },
            {{101, 101, 395}, },
            {{117, 117, 396}, },
            {{0, 38, 397}, {39, 39, 398}, {40, 91, 397}, {92, 92, 399}, {93, 65535, 397}, },
            {{62, 62, 400}, },
            {{62, 62, 401}, },
            {},
            {{0, 65535, -150}, },
            {},
            {},
            {{58, 58, 402}, },
            {},
            {{48, 102, -156}, },
            {},
            {{62, 62, 403}, },
            {{62, 62, 404}, },
            {},
            {},
            {{62, 62, 404}, },
            {},
            {{62, 62, 405}, },
            {{62, 62, 406}, },
            {{48, 83, -188}, {84, 84, 407}, {85, 122, -188}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 408}, {70, 122, -191}, },
            {{48, 72, -31}, {73, 73, 409}, {74, 122, -220}, },
            {{48, 75, -193}, {76, 76, 410}, {77, 122, -193}, },
            {{48, 68, -28}, {69, 69, 411}, {70, 122, -191}, },
            {{48, 72, -31}, {73, 73, 412}, {74, 122, -220}, },
            {{48, 66, -199}, {67, 67, 413}, {68, 82, 173}, {83, 83, 414}, {84, 122, -27}, },
            {{48, 77, -43}, {78, 78, 415}, {79, 122, -34}, },
            {{48, 72, -31}, {73, 73, 416}, {74, 122, -220}, },
            {{48, 71, -42}, {72, 72, 417}, {73, 122, -45}, },
            {{48, 68, -28}, {69, 69, 418}, {70, 72, 173}, {73, 73, 419}, {74, 122, -220}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 420}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 421}, {70, 122, -191}, },
            {{48, 68, -28}, {69, 69, 422}, {70, 122, -191}, },
            {{48, 82, -176}, {83, 83, 423}, {84, 122, -27}, },
            {{48, 48, 172}, {49, 49, 424}, {50, 57, 172}, {65, 122, -33}, },
            {{48, 57, 172}, {65, 65, 425}, {66, 122, -37}, },
            {{48, 68, -28}, {69, 69, 426}, {70, 122, -191}, },
            {{48, 75, -193}, {76, 76, 427}, {77, 78, 173}, {79, 79, 428}, {80, 122, -28}, },
            {{48, 75, -193}, {76, 76, 429}, {77, 122, -193}, },
            {{48, 83, -188}, {84, 84, 430}, {85, 122, -188}, },
            {{48, 68, -28}, {69, 69, 431}, {70, 122, -191}, },
            {{48, 57, 172}, {65, 65, 432}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 65, 433}, {66, 122, -37}, },
            {{48, 71, -42}, {72, 72, 434}, {73, 122, -45}, },
            {{48, 72, -31}, {73, 73, 435}, {74, 122, -220}, },
            {{48, 72, -31}, {73, 73, 436}, {74, 122, -220}, },
            {{48, 68, -28}, {69, 69, 437}, {70, 122, -191}, },
            {{48, 48, 172}, {49, 49, 438}, {50, 57, 172}, {65, 84, 173}, {85, 85, 439}, {86, 122, -40}, },
            {{48, 81, -195}, {82, 82, 440}, {83, 122, -32}, },
            {{48, 48, 172}, {49, 49, 441}, {50, 122, -314}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 76, 173}, {77, 77, 442}, {78, 79, 173}, {80, 80, 443}, {81, 122, -198}, },
            {{48, 72, -31}, {73, 73, 444}, {74, 122, -220}, },
            {{48, 68, -28}, {69, 69, 445}, {70, 122, -191}, },
            {{48, 82, -176}, {83, 83, 446}, {84, 122, -27}, },
            {{48, 68, -28}, {69, 69, 447}, {70, 122, -191}, },
            {{48, 82, -176}, {83, 83, 448}, {84, 122, -27}, },
            {{48, 76, -332}, {77, 77, 449}, {78, 90, 173}, {95, 122, -27}, },
            {{48, 72, -31}, {73, 73, 450}, {74, 122, -220}, },
            {{48, 83, -188}, {84, 84, 451}, {85, 122, -188}, },
            {{48, 77, -43}, {78, 78, 452}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 453}, {70, 122, -191}, },
            {{48, 78, -182}, {79, 79, 454}, {80, 122, -28}, },
            {{48, 82, -176}, {83, 83, 455}, {84, 122, -27}, },
            {{48, 84, -219}, {85, 85, 456}, {86, 122, -40}, },
            {{48, 72, -31}, {73, 73, 457}, {74, 122, -220}, },
            {{48, 77, -43}, {78, 78, 458}, {79, 81, 173}, {82, 82, 459}, {83, 122, -32}, },
            {{48, 75, -193}, {76, 76, 460}, {77, 122, -193}, },
            {},
            {{48, 115, -235}, {116, 116, 461}, {117, 122, 178}, },
            {{48, 95, -33}, {97, 107, 178}, {108, 108, 462}, {109, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 107, -351}, {108, 108, 463}, {109, 122, 178}, },
            {{48, 100, -62}, {101, 101, 464}, {102, 122, 178}, },
            {{48, 99, -57}, {100, 100, 465}, {101, 122, 178}, },
            {{48, 114, -243}, {115, 115, 466}, {116, 122, 178}, },
            {{48, 98, -237}, {99, 99, 467}, {100, 114, 178}, {115, 115, 468}, {116, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 95, -33}, {97, 103, 178}, {104, 104, 469}, {105, 122, 178}, },
            {{48, 114, -243}, {115, 115, 470}, {116, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 109, -66}, {110, 110, 471}, {111, 122, 178}, },
            {{48, 104, -226}, {105, 105, 472}, {106, 122, 178}, },
            {{48, 100, -62}, {101, 101, 473}, {102, 122, 178}, },
            {{48, 112, -256}, {113, 113, 474}, {114, 122, 178}, },
            {{48, 113, -51}, {114, 114, 475}, {115, 122, 178}, },
            {{48, 115, -235}, {116, 116, 476}, {117, 122, 178}, },
            {{48, 115, -235}, {116, 116, 477}, {117, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 113, -51}, {114, 114, 478}, {115, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 108, -234}, {109, 109, 479}, {110, 122, 178}, },
            {{48, 115, -235}, {116, 116, 480}, {117, 122, 178}, },
            {{48, 99, -57}, {100, 100, 481}, {101, 101, 178}, {102, 102, 482}, {103, 122, 178}, },
            {{48, 48, 172}, {49, 49, 483}, {50, 50, 484}, {51, 57, 172}, {65, 122, -33}, },
            {{48, 95, -33}, {97, 106, 178}, {107, 107, 485}, {108, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 103, -359}, {104, 104, 486}, {105, 122, 178}, },
            {{48, 48, 172}, {49, 49, 487}, {50, 122, -314}, },
            {{48, 100, -62}, {101, 101, 488}, {102, 122, 178}, },
            {{48, 111, -263}, {112, 112, 489}, {113, 122, 178}, },
            {{48, 114, -243}, {115, 115, 490}, {116, 122, 178}, },
            {{48, 95, -33}, {97, 116, 178}, {117, 117, 491}, {118, 122, 178}, },
            {{48, 115, -235}, {116, 116, 492}, {117, 122, 178}, },
            {{48, 98, -237}, {99, 99, 493}, {100, 122, 178}, },
            {{48, 107, -351}, {108, 108, 494}, {109, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 495}, {102, 122, 178}, },
            {{48, 110, -54}, {111, 111, 496}, {112, 122, 178}, },
            {},
            {},
            {{101, 101, 497}, },
            {{100, 100, 498}, },
            {{116, 116, 499}, },
            {{0, 65535, -278}, },
            {{0, 38, 500}, {39, 39, 501}, {40, 65535, 500}, },
            {{0, 38, 397}, {39, 39, 502}, {40, 65535, -278}, },
            {},
            {},
            {},
            {},
            {{62, 62, 503}, },
            {},
            {},
            {{48, 81, -195}, {82, 82, 504}, {83, 122, -32}, },
            {{48, 81, -195}, {82, 82, 505}, {83, 122, -32}, },
            {{48, 77, -43}, {78, 78, 506}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 66, -199}, {67, 67, 507}, {68, 122, -201}, },
            {{48, 81, -195}, {82, 82, 508}, {83, 122, -32}, },
            {{48, 83, -188}, {84, 84, 509}, {85, 122, -188}, },
            {{48, 83, -188}, {84, 84, 510}, {85, 122, -188}, },
            {{48, 77, -43}, {78, 78, 511}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 512}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 69, -34}, {70, 70, 513}, {71, 122, -186}, },
            {{48, 83, -188}, {84, 84, 514}, {85, 122, -188}, },
            {{48, 66, -199}, {67, 67, 515}, {68, 122, -201}, },
            {{48, 77, -43}, {78, 78, 516}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 517}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 75, -193}, {76, 76, 518}, {77, 122, -193}, },
            {{48, 83, -188}, {84, 84, 519}, {85, 122, -188}, },
            {{48, 68, -28}, {69, 69, 520}, {70, 122, -191}, },
            {{48, 81, -195}, {82, 82, 521}, {83, 122, -32}, },
            {{48, 84, -219}, {85, 85, 522}, {86, 122, -40}, },
            {{48, 72, -31}, {73, 73, 523}, {74, 122, -220}, },
            {{48, 70, -181}, {71, 71, 524}, {72, 81, 173}, {82, 82, 525}, {83, 122, -32}, },
            {{48, 81, -195}, {82, 82, 526}, {83, 122, -32}, },
            {{48, 75, -193}, {76, 76, 527}, {77, 122, -193}, },
            {{48, 72, -31}, {73, 73, 528}, {74, 122, -220}, },
            {{48, 77, -43}, {78, 78, 529}, {79, 122, -34}, },
            {{48, 77, -43}, {78, 78, 530}, {79, 122, -34}, },
            {{48, 75, -193}, {76, 76, 531}, {77, 122, -193}, },
            {{48, 122, -33}, },
            {{48, 81, -195}, {82, 82, 532}, {83, 122, -32}, },
            {{48, 57, 172}, {65, 65, 533}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 78, -182}, {79, 79, 534}, {80, 122, -28}, },
            {{48, 68, -28}, {69, 69, 535}, {70, 122, -191}, },
            {{48, 77, -43}, {78, 78, 536}, {79, 122, -34}, },
            {{48, 72, -31}, {73, 73, 537}, {74, 82, 173}, {83, 83, 538}, {84, 90, 173}, {95, 95, 539}, {97, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 66, -199}, {67, 67, 540}, {68, 122, -201}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 65, 541}, {66, 122, -37}, },
            {{48, 77, -43}, {78, 78, 542}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 543}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 544}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 545}, {70, 122, -191}, },
            {{48, 57, 172}, {65, 65, 546}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 547}, {70, 122, -191}, },
            {{48, 68, -28}, {69, 69, 548}, {70, 122, -191}, },
            {{48, 95, -33}, {97, 120, 178}, {121, 121, 549}, {122, 122, 178}, },
            {{48, 114, -243}, {115, 115, 550}, {116, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 551}, {102, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 116, -387}, {117, 117, 552}, {118, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 115, -235}, {116, 116, 553}, {117, 122, 178}, },
            {{48, 100, -62}, {101, 101, 554}, {102, 122, 178}, },
            {{48, 115, -235}, {116, 116, 555}, {117, 122, 178}, },
            {{48, 115, -235}, {116, 116, 556}, {117, 122, 178}, },
            {{48, 119, -245}, {120, 120, 557}, {121, 122, 178}, },
            {{48, 113, -51}, {114, 114, 558}, {115, 122, 178}, },
            {{48, 48, 172}, {49, 49, 559}, {50, 122, -314}, },
            {{48, 95, -33}, {97, 97, 560}, {98, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 110, -54}, {111, 111, 561}, {112, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 101, -52}, {102, 102, 562}, {103, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 104, -226}, {105, 105, 563}, {106, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 115, -235}, {116, 116, 564}, {117, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 115, -235}, {116, 116, 565}, {117, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 98, -237}, {99, 99, 566}, {100, 122, 178}, },
            {{48, 113, -51}, {114, 114, 567}, {115, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 109, -66}, {110, 110, 568}, {111, 122, 178}, },
            {{114, 114, 569}, },
            {{105, 105, 570}, },
            {{104, 104, 571}, },
            {{0, 65535, -278}, },
            {{0, 38, 572}, {39, 39, 573}, {40, 65535, 572}, },
            {{0, 38, 500}, {39, 39, 574}, {40, 65535, 500}, },
            {},
            {{48, 57, 172}, {65, 65, 575}, {66, 122, -37}, },
            {{48, 83, -188}, {84, 84, 576}, {85, 122, -188}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 577}, {70, 122, -191}, },
            {{48, 68, -28}, {69, 69, 578}, {70, 122, -191}, },
            {{48, 57, 172}, {65, 65, 579}, {66, 81, 173}, {82, 82, 580}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 581}, {70, 122, -191}, },
            {{48, 72, -31}, {73, 73, 582}, {74, 122, -220}, },
            {{48, 81, -195}, {82, 82, 583}, {83, 122, -32}, },
            {{48, 122, -33}, },
            {{48, 82, -176}, {83, 83, 584}, {84, 122, -27}, },
            {{48, 83, -188}, {84, 84, 585}, {85, 122, -188}, },
            {{48, 67, -190}, {68, 68, 586}, {69, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 75, -193}, {76, 76, 587}, {77, 122, -193}, },
            {{48, 88, -177}, {89, 89, 588}, {90, 122, -41}, },
            {{48, 76, -332}, {77, 77, 589}, {78, 122, -338}, },
            {{48, 83, -188}, {84, 84, 590}, {85, 122, -188}, },
            {{48, 67, -190}, {68, 68, 591}, {69, 122, -190}, },
            {{48, 57, 172}, {65, 65, 592}, {66, 122, -37}, },
            {{48, 68, -28}, {69, 69, 593}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 72, -31}, {73, 73, 594}, {74, 122, -220}, },
            {{48, 90, -33}, {95, 95, 595}, {97, 122, 178}, },
            {{48, 77, -43}, {78, 78, 596}, {79, 122, -34}, },
            {{48, 83, -188}, {84, 84, 597}, {85, 122, -188}, },
            {{48, 83, -188}, {84, 84, 598}, {85, 122, -188}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 65, 599}, {66, 122, -37}, },
            {{48, 83, -188}, {84, 84, 600}, {85, 122, -188}, },
            {{48, 83, -188}, {84, 84, 601}, {85, 122, -188}, },
            {{48, 81, -195}, {82, 82, 602}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 603}, {70, 122, -191}, },
            {{48, 67, -190}, {68, 68, 604}, {69, 122, -190}, },
            {{48, 90, -33}, {95, 95, 605}, {97, 122, 178}, },
            {{48, 69, -34}, {70, 70, 606}, {71, 122, -186}, },
            {{48, 83, -188}, {84, 84, 607}, {85, 122, -188}, },
            {{48, 122, -33}, },
            {{48, 70, -181}, {71, 71, 608}, {72, 122, -181}, },
            {{48, 76, -332}, {77, 77, 609}, {78, 122, -338}, },
            {{48, 122, -33}, },
            {{48, 82, -176}, {83, 83, 610}, {84, 122, -27}, },
            {{48, 65, -27}, {66, 66, 611}, {67, 77, 173}, {78, 78, 612}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 613}, {102, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 113, -51}, {114, 114, 614}, {115, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 113, -51}, {114, 114, 615}, {115, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 115, -235}, {116, 116, 616}, {117, 122, 178}, },
            {{48, 113, -51}, {114, 114, 617}, {115, 122, 178}, },
            {{48, 104, -226}, {105, 105, 618}, {106, 122, 178}, },
            {{48, 119, -245}, {120, 120, 619}, {121, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 115, -235}, {116, 116, 620}, {117, 122, 178}, },
            {{48, 100, -62}, {101, 101, 621}, {102, 122, 178}, },
            {{48, 122, -33}, },
            {{97, 97, 622}, },
            {{99, 99, 623}, },
            {{95, 95, 624}, },
            {{0, 65535, -278}, },
            {},
            {{0, 38, 572}, {39, 39, 625}, {40, 65535, 572}, },
            {{48, 66, -199}, {67, 67, 626}, {68, 122, -201}, },
            {{48, 72, -31}, {73, 73, 627}, {74, 122, -220}, },
            {{48, 122, -33}, },
            {{48, 83, -188}, {84, 84, 628}, {85, 122, -188}, },
            {{48, 77, -43}, {78, 78, 629}, {79, 122, -34}, },
            {{48, 57, 172}, {65, 65, 630}, {66, 122, -37}, },
            {{48, 81, -195}, {82, 82, 631}, {83, 122, -32}, },
            {{48, 83, -188}, {84, 84, 632}, {85, 122, -188}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 82, -176}, {83, 83, 633}, {84, 122, -27}, },
            {{48, 122, -33}, },
            {{48, 79, -192}, {80, 80, 634}, {81, 122, -198}, },
            {{48, 68, -28}, {69, 69, 635}, {70, 122, -191}, },
            {{48, 82, -176}, {83, 83, 636}, {84, 122, -27}, },
            {{48, 68, -28}, {69, 69, 637}, {70, 122, -191}, },
            {{48, 75, -193}, {76, 76, 638}, {77, 122, -193}, },
            {{48, 81, -195}, {82, 82, 639}, {83, 122, -32}, },
            {{48, 57, 172}, {65, 65, 640}, {66, 122, -37}, },
            {{48, 78, -182}, {79, 79, 641}, {80, 122, -28}, },
            {{48, 68, -28}, {69, 69, 642}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 75, -193}, {76, 76, 643}, {77, 122, -193}, },
            {{48, 72, -31}, {73, 73, 644}, {74, 122, -220}, },
            {{48, 68, -28}, {69, 69, 645}, {70, 122, -191}, },
            {{48, 83, -188}, {84, 84, 646}, {85, 122, -188}, },
            {{48, 76, -332}, {77, 77, 647}, {78, 82, 173}, {83, 83, 648}, {84, 122, -27}, },
            {{48, 122, -33}, },
            {{48, 76, -332}, {77, 77, 649}, {78, 122, -338}, },
            {{48, 78, -182}, {79, 79, 650}, {80, 122, -28}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 75, -193}, {76, 76, 651}, {77, 122, -193}, },
            {{48, 83, -188}, {84, 84, 652}, {85, 122, -188}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 653}, {102, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 654}, {102, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 119, -245}, {120, 120, 655}, {121, 122, 178}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 100, -62}, {101, 101, 656}, {102, 122, 178}, },
            {{108, 108, 657}, },
            {{97, 97, 658}, },
            {{112, 112, 659}, },
            {{0, 65535, -278}, },
            {{48, 83, -188}, {84, 84, 660}, {85, 122, -188}, },
            {{48, 78, -182}, {79, 79, 661}, {80, 122, -28}, },
            {{48, 68, -28}, {69, 69, 662}, {70, 122, -191}, },
            {{48, 83, -188}, {84, 84, 663}, {85, 122, -188}, },
            {{48, 72, -31}, {73, 73, 664}, {74, 122, -220}, },
            {{48, 68, -28}, {69, 69, 665}, {70, 122, -191}, },
            {{48, 72, -31}, {73, 73, 666}, {74, 122, -220}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 667}, {70, 122, -191}, },
            {{48, 77, -43}, {78, 78, 668}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 82, -176}, {83, 83, 669}, {84, 122, -27}, },
            {{48, 72, -31}, {73, 73, 670}, {74, 122, -220}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 671}, {79, 122, -34}, },
            {{48, 79, -192}, {80, 80, 672}, {81, 122, -198}, },
            {{48, 122, -33}, },
            {{48, 48, 172}, {49, 49, 673}, {50, 122, -314}, },
            {{48, 78, -182}, {79, 79, 674}, {80, 122, -28}, },
            {{48, 82, -176}, {83, 83, 675}, {84, 122, -27}, },
            {{48, 72, -31}, {73, 73, 676}, {74, 122, -220}, },
            {{48, 68, -28}, {69, 69, 677}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 65, 678}, {66, 122, -37}, },
            {{48, 81, -195}, {82, 82, 679}, {83, 122, -32}, },
            {{48, 68, -28}, {69, 69, 680}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 48, 172}, {49, 49, 681}, {50, 122, -314}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{95, 95, 682}, },
            {{116, 116, 683}, },
            {{114, 114, 684}, },
            {{48, 90, -33}, {95, 95, 685}, {97, 122, 178}, },
            {{48, 77, -43}, {78, 78, 686}, {79, 122, -34}, },
            {{48, 90, -33}, {95, 95, 687}, {97, 122, 178}, },
            {{48, 82, -176}, {83, 83, 688}, {84, 90, 173}, {95, 95, 689}, {97, 122, 178}, },
            {{48, 77, -43}, {78, 78, 690}, {79, 122, -34}, },
            {{48, 57, 172}, {65, 87, 173}, {88, 88, 691}, {89, 122, -31}, },
            {{48, 78, -182}, {79, 79, 692}, {80, 122, -28}, },
            {{48, 82, -176}, {83, 83, 693}, {84, 122, -27}, },
            {{48, 83, -188}, {84, 84, 694}, {85, 122, -188}, },
            {{48, 122, -33}, },
            {{48, 82, -176}, {83, 83, 695}, {84, 89, 173}, {90, 90, 696}, {95, 122, -27}, },
            {{48, 83, -188}, {84, 84, 697}, {85, 122, -188}, },
            {{48, 68, -28}, {69, 69, 698}, {70, 122, -191}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 699}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 68, -28}, {69, 69, 700}, {70, 122, -191}, },
            {{48, 77, -43}, {78, 78, 701}, {79, 122, -34}, },
            {{48, 66, -199}, {67, 67, 702}, {68, 122, -201}, },
            {{48, 57, 172}, {65, 65, 703}, {66, 122, -37}, },
            {{48, 82, -176}, {83, 83, 704}, {84, 122, -27}, },
            {{48, 122, -33}, },
            {{112, 112, 705}, {115, 115, 706}, },
            {{101, 101, 707}, },
            {{101, 101, 708}, },
            {{48, 66, -199}, {67, 67, 709}, {68, 85, 173}, {86, 86, 710}, {87, 122, -199}, },
            {{48, 82, -176}, {83, 83, 711}, {84, 122, -27}, },
            {{48, 66, -199}, {67, 67, 712}, {68, 85, 173}, {86, 86, 713}, {87, 122, -199}, },
            {{48, 122, -33}, },
            {{48, 67, -190}, {68, 68, 714}, {69, 122, -190}, },
            {{48, 83, -188}, {84, 84, 715}, {85, 122, -188}, },
            {{48, 57, 172}, {65, 65, 716}, {66, 122, -37}, },
            {{48, 77, -43}, {78, 78, 717}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{48, 57, 172}, {65, 65, 718}, {66, 122, -37}, },
            {{48, 57, 172}, {65, 65, 719}, {66, 122, -37}, },
            {{48, 57, 172}, {65, 65, 720}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 81, -195}, {82, 82, 721}, {83, 122, -32}, },
            {{48, 82, -176}, {83, 83, 722}, {84, 122, -27}, },
            {{48, 82, -176}, {83, 83, 723}, {84, 122, -27}, },
            {{48, 83, -188}, {84, 84, 724}, {85, 122, -188}, },
            {{48, 71, -42}, {72, 72, 725}, {73, 122, -45}, },
            {{48, 75, -193}, {76, 76, 726}, {77, 122, -193}, },
            {{48, 122, -33}, },
            {{114, 114, 727}, },
            {{117, 117, 728}, },
            {{95, 95, 729}, },
            {{100, 100, 730}, },
            {{48, 78, -182}, {79, 79, 731}, {80, 122, -28}, },
            {{48, 57, 172}, {65, 65, 732}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 78, -182}, {79, 79, 733}, {80, 122, -28}, },
            {{48, 57, 172}, {65, 65, 734}, {66, 122, -37}, },
            {{48, 68, -28}, {69, 69, 735}, {70, 122, -191}, },
            {{48, 82, -176}, {83, 83, 736}, {84, 122, -27}, },
            {{48, 76, -332}, {77, 77, 737}, {78, 122, -338}, },
            {{48, 82, -176}, {83, 83, 738}, {84, 122, -27}, },
            {{48, 83, -188}, {84, 84, 739}, {85, 122, -188}, },
            {{48, 83, -188}, {84, 84, 740}, {85, 122, -188}, },
            {{48, 83, -188}, {84, 84, 741}, {85, 122, -188}, },
            {{48, 57, 172}, {65, 65, 742}, {66, 122, -37}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 72, -31}, {73, 73, 743}, {74, 122, -220}, },
            {{48, 75, -193}, {76, 76, 744}, {77, 122, -193}, },
            {{101, 101, 745}, },
            {{98, 98, 746}, },
            {{105, 105, 747}, },
            {{105, 105, 748}, },
            {{48, 77, -43}, {78, 78, 749}, {79, 122, -34}, },
            {{48, 81, -195}, {82, 82, 750}, {83, 122, -32}, },
            {{48, 77, -43}, {78, 78, 751}, {79, 122, -34}, },
            {{48, 81, -195}, {82, 82, 752}, {83, 122, -32}, },
            {{48, 79, -192}, {80, 80, 753}, {81, 122, -198}, },
            {{48, 122, -33}, },
            {{48, 79, -192}, {80, 80, 754}, {81, 122, -198}, },
            {{48, 122, -33}, },
            {{48, 72, -31}, {73, 73, 755}, {74, 122, -220}, },
            {{48, 72, -31}, {73, 73, 756}, {74, 122, -220}, },
            {{48, 72, -31}, {73, 73, 757}, {74, 122, -220}, },
            {{48, 83, -188}, {84, 84, 758}, {85, 122, -188}, },
            {{48, 77, -43}, {78, 78, 759}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{100, 100, 760}, },
            {{115, 115, 761}, },
            {{100, 100, 762}, },
            {{99, 99, 763}, },
            {{48, 82, -176}, {83, 83, 764}, {84, 122, -27}, },
            {{48, 72, -31}, {73, 73, 765}, {74, 122, -220}, },
            {{48, 82, -176}, {83, 83, 766}, {84, 122, -27}, },
            {{48, 72, -31}, {73, 73, 767}, {74, 122, -220}, },
            {{48, 68, -28}, {69, 69, 768}, {70, 122, -191}, },
            {{48, 75, -193}, {76, 76, 769}, {77, 122, -193}, },
            {{48, 78, -182}, {79, 79, 770}, {80, 122, -28}, },
            {{48, 78, -182}, {79, 79, 771}, {80, 122, -28}, },
            {{48, 78, -182}, {79, 79, 772}, {80, 122, -28}, },
            {{48, 72, -31}, {73, 73, 773}, {74, 122, -220}, },
            {{48, 68, -28}, {69, 69, 774}, {70, 122, -191}, },
            {{105, 105, 775}, },
            {{116, 116, 776}, },
            {{101, 101, 777}, },
            {{97, 97, 778}, },
            {{48, 83, -188}, {84, 84, 779}, {85, 122, -188}, },
            {{48, 57, 172}, {65, 65, 780}, {66, 122, -37}, },
            {{48, 83, -188}, {84, 84, 781}, {85, 122, -188}, },
            {{48, 57, 172}, {65, 65, 782}, {66, 122, -37}, },
            {{48, 77, -43}, {78, 78, 783}, {79, 122, -34}, },
            {{48, 68, -28}, {69, 69, 784}, {70, 122, -191}, },
            {{48, 77, -43}, {78, 78, 785}, {79, 122, -34}, },
            {{48, 77, -43}, {78, 78, 786}, {79, 122, -34}, },
            {{48, 77, -43}, {78, 78, 787}, {79, 122, -34}, },
            {{48, 78, -182}, {79, 79, 788}, {80, 122, -28}, },
            {{48, 122, -33}, },
            {{99, 99, 789}, },
            {{105, 105, 790}, },
            {{110, 110, 791}, },
            {{116, 116, 792}, },
            {{48, 57, 172}, {65, 65, 793}, {66, 122, -37}, },
            {{48, 65, -27}, {66, 66, 794}, {67, 90, 173}, {95, 122, -27}, },
            {{48, 57, 172}, {65, 65, 795}, {66, 122, -37}, },
            {{48, 65, -27}, {66, 66, 796}, {67, 122, -782}, },
            {{48, 67, -190}, {68, 68, 797}, {69, 122, -190}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 77, -43}, {78, 78, 798}, {79, 122, -34}, },
            {{97, 97, 799}, },
            {{116, 116, 800}, },
            {{116, 116, 801}, },
            {{101, 101, 802}, },
            {{48, 77, -43}, {78, 78, 803}, {79, 122, -34}, },
            {{48, 75, -193}, {76, 76, 804}, {77, 122, -193}, },
            {{48, 77, -43}, {78, 78, 805}, {79, 122, -34}, },
            {{48, 75, -193}, {76, 76, 806}, {77, 122, -193}, },
            {{48, 68, -28}, {69, 69, 807}, {70, 122, -191}, },
            {{48, 82, -176}, {83, 83, 808}, {84, 122, -27}, },
            {{116, 116, 809}, },
            {{117, 117, 810}, },
            {{105, 105, 811}, },
            {},
            {{48, 83, -188}, {84, 84, 812}, {85, 122, -188}, },
            {{48, 68, -28}, {69, 69, 813}, {70, 122, -191}, },
            {{48, 83, -188}, {84, 84, 814}, {85, 122, -188}, },
            {{48, 68, -28}, {69, 69, 815}, {70, 122, -191}, },
            {{48, 77, -43}, {78, 78, 816}, {79, 122, -34}, },
            {{48, 122, -33}, },
            {{101, 101, 817}, },
            {{116, 116, 818}, },
            {{102, 102, 819}, },
            {{48, 82, -176}, {83, 83, 820}, {84, 122, -27}, },
            {{48, 82, -176}, {83, 83, 821}, {84, 122, -27}, },
            {{48, 82, -176}, {83, 83, 822}, {84, 122, -27}, },
            {{48, 82, -176}, {83, 83, 823}, {84, 122, -27}, },
            {{48, 66, -199}, {67, 67, 824}, {68, 122, -201}, },
            {{65, 90, 825}, {97, 122, 826}, },
            {{105, 105, 827}, },
            {{105, 105, 828}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 122, -33}, },
            {{48, 72, -31}, {73, 73, 829}, {74, 122, -220}, },
            {{65, 122, -819}, },
            {{65, 122, -819}, },
            {{111, 111, 830}, },
            {{101, 101, 831}, },
            {{48, 68, -28}, {69, 69, 832}, {70, 122, -191}, },
            {{110, 110, 833}, },
            {{114, 114, 834}, },
            {{48, 82, -176}, {83, 83, 835}, {84, 122, -27}, },
            {{65, 90, 836}, {97, 122, 837}, },
            {{65, 90, 838}, {97, 122, 839}, },
            {{48, 122, -33}, },
            {{65, 122, -835}, },
            {{65, 122, -835}, },
            {{65, 122, -836}, },
            {{65, 122, -836}, },
        }
        { // COMMENT
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 41, 3}, {42, 42, 4}, {43, 46, 3}, {47, 47, 5}, {48, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 1}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 41, -2}, {43, 46, 3}, {48, 65535, -2}, },
            {{0, 41, 3}, {43, 46, 3}, {48, 65535, 3}, },
            {{0, 65535, -4}, },
            {{47, 47, 6}, },
            {},
            {},
        }
        { // SHEBANG
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 34, 3}, {35, 35, 4}, {36, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 5}, {11, 12, 5}, {14, 32, 5}, {127, 160, 5}, {8206, 8207, 5}, {8232, 8233, 5}, },
            {},
            {},
            {{33, 33, 6}, },
            {{0, 8233, -3}, },
            {},
        }
        { // PRAGMA
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {34, 34, 3}, {42, 42, 4}, {65, 90, 5}, {97, 98, 6}, {99, 99, 7}, {100, 100, 8}, {101, 101, 6}, {102, 102, 9}, {103, 103, 10}, {104, 104, 6}, {105, 105, 11}, {106, 107, 6}, {108, 108, 12}, {109, 109, 6}, {110, 110, 13}, {111, 111, 6}, {112, 112, 14}, {113, 114, 6}, {115, 115, 15}, {116, 116, 6}, {117, 117, 16}, {118, 122, 6}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 8233, -2}, },
            {},
            {{0, 33, 17}, {34, 34, 18}, {35, 91, 17}, {92, 92, 19}, {93, 65535, 17}, },
            {{47, 47, 20}, },
            {{45, 45, 21}, {46, 46, 22}, {48, 57, 23}, {65, 90, 24}, {95, 95, 25}, {97, 122, 26}, {8722, 8722, 27}, },
            {{45, 8722, -7}, },
            {{45, 95, -7}, {97, 110, 26}, {111, 111, 28}, {112, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 100, 26}, {101, 101, 29}, {102, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 104, 26}, {105, 105, 30}, {106, 122, 26}, {8722, 8722, 27}, },
            {{45, 100, -10}, {101, 101, 31}, {102, 8722, -10}, },
            {{45, 95, -7}, {97, 108, 26}, {109, 109, 32}, {110, 110, 33}, {111, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 97, 34}, {98, 122, 26}, {8722, 8722, 27}, },
            {{45, 100, -10}, {101, 101, 35}, {102, 8722, -10}, },
            {{45, 95, -7}, {97, 97, 36}, {98, 8722, -14}, },
            {{45, 95, -7}, {97, 120, 26}, {121, 121, 37}, {122, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 109, 26}, {110, 110, 38}, {111, 8722, -13}, },
            {{0, 65535, -5}, },
            {},
            {{0, 33, 17}, {34, 34, 39}, {35, 65535, -5}, },
            {},
            {{45, 46, -7}, {48, 57, 40}, {65, 90, 41}, {95, 95, 42}, {97, 122, 43}, {8722, 8722, 27}, },
            {{45, 8722, -23}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 8722, -23}, },
            {{45, 109, -18}, {110, 110, 44}, {111, 8722, -13}, },
            {{45, 95, -7}, {97, 114, 26}, {115, 115, 45}, {116, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 107, 26}, {108, 108, 46}, {109, 122, 26}, {8722, 8722, 27}, },
            {{45, 109, -18}, {110, 110, 47}, {111, 8722, -13}, },
            {{45, 95, -7}, {97, 111, 26}, {112, 112, 48}, {113, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 101, 26}, {102, 102, 49}, {103, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 97, 26}, {98, 98, 50}, {99, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 118, 26}, {119, 119, 51}, {120, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 98, 26}, {99, 99, 52}, {100, 122, 26}, {8722, 8722, 27}, },
            {{45, 108, -13}, {109, 109, 53}, {110, 122, 26}, {8722, 8722, 27}, },
            {{45, 104, -11}, {105, 105, 54}, {106, 8722, -11}, },
            {{0, 65535, -5}, },
            {{45, 8722, -23}, },
            {{45, 8722, -23}, },
            {{45, 8722, -23}, },
            {{45, 8722, -23}, },
            {{45, 95, -7}, {97, 117, 26}, {118, 118, 55}, {119, 122, 26}, {8722, 8722, 27}, },
            {{45, 98, -38}, {99, 99, 56}, {100, 8722, -38}, },
            {{45, 100, -10}, {101, 101, 57}, {102, 8722, -10}, },
            {{45, 100, -10}, {101, 101, 58}, {102, 8722, -10}, },
            {{45, 110, -9}, {111, 111, 59}, {112, 8722, -9}, },
            {{45, 100, -10}, {101, 101, 60}, {102, 8722, -10}, },
            {{45, 100, -10}, {101, 101, 61}, {102, 8722, -10}, },
            {{45, 90, -7}, {95, 95, 62}, {97, 8722, -7}, },
            {{45, 95, -7}, {97, 106, 26}, {107, 107, 63}, {108, 122, 26}, {8722, 8722, 27}, },
            {{45, 97, -36}, {98, 98, 64}, {99, 8722, -36}, },
            {{45, 95, -7}, {97, 115, 26}, {116, 116, 65}, {117, 122, 26}, {8722, 8722, 27}, },
            {{45, 100, -10}, {101, 101, 66}, {102, 8722, -10}, },
            {{45, 95, -7}, {97, 113, 26}, {114, 114, 67}, {115, 122, 26}, {8722, 8722, 27}, },
            {{45, 8722, -7}, },
            {{45, 113, -58}, {114, 114, 68}, {115, 8722, -58}, },
            {{45, 113, -58}, {114, 114, 69}, {115, 8722, -58}, },
            {{45, 113, -58}, {114, 114, 70}, {115, 8722, -58}, },
            {{45, 107, -32}, {108, 108, 71}, {109, 8722, -32}, },
            {{45, 95, -7}, {97, 116, 26}, {117, 117, 72}, {118, 122, 26}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 97, 73}, {98, 8722, -14}, },
            {{45, 110, -9}, {111, 111, 74}, {112, 8722, -9}, },
            {{45, 90, -7}, {95, 95, 75}, {97, 8722, -7}, },
            {{45, 113, -58}, {114, 114, 76}, {115, 8722, -58}, },
            {{45, 104, -11}, {105, 105, 77}, {106, 8722, -11}, },
            {{45, 95, -7}, {97, 97, 78}, {98, 8722, -14}, },
            {{45, 115, -56}, {116, 116, 79}, {117, 8722, -56}, },
            {{45, 113, -58}, {114, 114, 80}, {115, 8722, -58}, },
            {{45, 8722, -7}, },
            {{45, 109, -18}, {110, 110, 81}, {111, 8722, -13}, },
            {{45, 95, -7}, {97, 102, 26}, {103, 103, 82}, {104, 122, 26}, {8722, 8722, 27}, },
            {{45, 107, -32}, {108, 108, 83}, {109, 8722, -32}, },
            {{45, 95, -7}, {97, 97, 84}, {98, 8722, -14}, },
            {{45, 114, -31}, {115, 115, 85}, {116, 8722, -31}, },
            {{45, 111, -34}, {112, 112, 86}, {113, 8722, -34}, },
            {{45, 115, -56}, {116, 116, 87}, {117, 8722, -56}, },
            {{45, 45, 88}, {46, 90, -7}, {95, 95, 89}, {97, 8722, -7}, },
            {{45, 100, -10}, {101, 101, 90}, {102, 8722, -10}, },
            {{45, 104, -11}, {105, 105, 91}, {106, 8722, -11}, },
            {{45, 100, -10}, {101, 101, 92}, {102, 8722, -10}, },
            {{45, 104, -11}, {105, 105, 93}, {106, 8722, -11}, },
            {{45, 107, -32}, {108, 108, 94}, {109, 8722, -32}, },
            {{45, 104, -11}, {105, 105, 95}, {106, 8722, -11}, },
            {{45, 115, -56}, {116, 116, 96}, {117, 8722, -56}, },
            {{45, 100, -10}, {101, 101, 97}, {102, 8722, -10}, },
            {{45, 95, -23}, {97, 111, 43}, {112, 112, 98}, {113, 122, 43}, {8722, 8722, 27}, },
            {{45, 111, -34}, {112, 112, 99}, {113, 8722, -34}, },
            {{45, 95, -7}, {97, 99, 26}, {100, 100, 100}, {101, 122, 26}, {8722, 8722, 27}, },
            {{45, 115, -56}, {116, 116, 101}, {117, 8722, -56}, },
            {{45, 8722, -7}, },
            {{45, 98, -38}, {99, 99, 102}, {100, 8722, -38}, },
            {{45, 104, -11}, {105, 105, 103}, {106, 8722, -11}, },
            {{45, 110, -9}, {111, 111, 104}, {112, 8722, -9}, },
            {{45, 104, -11}, {105, 105, 105}, {106, 8722, -11}, },
            {{45, 99, -92}, {100, 100, 106}, {101, 8722, -92}, },
            {{45, 95, -23}, {97, 97, 107}, {98, 122, 43}, {8722, 8722, 27}, },
            {{45, 95, -7}, {97, 97, 108}, {98, 8722, -14}, },
            {{45, 90, -7}, {95, 95, 109}, {97, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 95, -7}, {97, 97, 110}, {98, 8722, -14}, },
            {{45, 109, -18}, {110, 110, 111}, {111, 8722, -13}, },
            {{45, 110, -9}, {111, 111, 112}, {112, 8722, -9}, },
            {{45, 8722, -7}, },
            {{45, 95, -23}, {97, 98, 43}, {99, 99, 113}, {100, 122, 43}, {8722, 8722, 27}, },
            {{45, 98, -38}, {99, 99, 114}, {100, 8722, -38}, },
            {{45, 116, -64}, {117, 117, 115}, {118, 8722, -64}, },
            {{45, 114, -31}, {115, 115, 116}, {116, 8722, -31}, },
            {{45, 8722, -7}, },
            {{45, 109, -18}, {110, 110, 117}, {111, 8722, -13}, },
            {{45, 95, -23}, {97, 106, 43}, {107, 107, 118}, {108, 122, 43}, {8722, 8722, 27}, },
            {{45, 106, -54}, {107, 107, 119}, {108, 8722, -54}, },
            {{45, 109, -18}, {110, 110, 120}, {111, 8722, -13}, },
            {{45, 8722, -7}, },
            {{45, 8722, -7}, },
            {{45, 95, -23}, {97, 97, 121}, {98, 8722, -100}, },
            {{45, 95, -7}, {97, 97, 122}, {98, 8722, -14}, },
            {{45, 104, -11}, {105, 105, 123}, {106, 8722, -11}, },
            {{45, 95, -23}, {97, 102, 43}, {103, 103, 124}, {104, 122, 43}, {8722, 8722, 27}, },
            {{45, 102, -75}, {103, 103, 125}, {104, 8722, -75}, },
            {{45, 115, -56}, {116, 116, 126}, {117, 8722, -56}, },
            {{45, 95, -23}, {97, 100, 43}, {101, 101, 127}, {102, 122, 43}, {8722, 8722, 27}, },
            {{45, 100, -10}, {101, 101, 128}, {102, 8722, -10}, },
            {{45, 8722, -7}, },
            {{45, 8722, -23}, },
            {{45, 8722, -7}, },
        }
        { // DESCRIPTION
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {33, 41, 3}, {42, 42, 4}, {43, 46, 3}, {47, 47, 5}, {48, 126, 3}, {127, 160, 1}, {161, 8205, 3}, {8206, 8207, 1}, {8208, 8231, 3}, {8232, 8233, 1}, {8234, 65535, 3}, },
            {{0, 9, 1}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 41, -2}, {43, 46, 3}, {48, 65535, -2}, },
            {{0, 41, 3}, {43, 46, 3}, {48, 65535, 3}, },
            {{0, 65535, -4}, },
            {{47, 47, 6}, },
            {},
            {},
        }
        { // UNIT
            {{0, 9, 1}, {10, 10, 2}, {11, 12, 1}, {13, 13, 2}, {14, 32, 1}, {34, 34, 3}, {42, 42, 4}, {65, 90, 5}, {97, 122, 6}, {127, 160, 1}, {8206, 8207, 1}, {8232, 8233, 1}, },
            {{0, 9, 1}, {11, 12, 1}, {14, 32, 1}, {127, 8233, -2}, },
            {},
            {{0, 33, 7}, {34, 34, 8}, {35, 91, 7}, {92, 92, 9}, {93, 65535, 7}, },
            {{47, 47, 10}, },
            {{48, 57, 11}, {65, 90, 12}, {95, 95, 13}, {97, 122, 14}, },
            {{48, 122, -7}, },
            {{0, 65535, -5}, },
            {},
            {{0, 33, 7}, {34, 34, 15}, {35, 65535, -5}, },
            {},
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{48, 122, -7}, },
            {{0, 65535, -5}, },
        }
    };*/

    private static int[][] accept;
/*  {
        // SECTION
        {-1, 265, 265, -1, -1, 256, 256, 256, 256, 256, 256, 256, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 22, 3, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 4, 3, 3, 256, 256, 256, 256, 256, 256, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 256, 256, 256, 256, 256, 256, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 249, 250, -1, 251, -1, -1, 256, 256, 256, 119, 256, 256, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 256, 256, 256, 256, 120, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 253, -1, 256, 256, 118, 256, -1, -1, -1, -1, -1, -1, -1, 240, 229, 241, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 256, 256, 256, -1, -1, -1, -1, -1, -1, -1, 242, -1, -1, -1, -1, -1, -1, -1, 247, -1, -1, -1, 256, 256, 256, -1, -1, -1, 236, -1, -1, -1, -1, 244, -1, -1, -1, 254, 228, -1, -1, 252, 256, 256, 137, -1, -1, 233, -1, -1, -1, 239, 227, -1, -1, -1, 246, 248, -1, 96, 256, -1, -1, -1, -1, 237, 238, -1, -1, -1, -1, 256, -1, -1, -1, -1, -1, -1, -1, 230, 256, -1, -1, -1, -1, -1, -1, 255, 107, -1, -1, -1, -1, 243, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 245, -1, -1, -1, -1, 231, 232, 234, 235, },
        // NORMAL
        {-1, 265, 265, 28, -1, 29, 30, 31, 32, 33, 34, 35, 36, 38, 41, 42, 46, 48, 262, 262, 56, 59, 60, 71, 74, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 155, 53, 156, 159, 264, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 215, 217, 216, 222, 186, 36, 48, 31, 47, -1, 125, 131, 113, 64, 55, 43, 158, 62, 44, 76, 219, 73, 69, 39, 63, 45, 28, 29, 214, 56, 49, 130, 142, 42, 218, 32, 187, 54, 157, 222, 52, 68, 80, 66, 51, 65, 50, 79, 145, 103, 114, 146, 61, 159, 221, 220, 67, 70, 40, 75, 78, 67, 221, 223, 224, 225, 61, -1, 27, -1, 0, -1, -1, -1, -1, 37, -1, -1, -1, 45, -1, 47, 22, 3, 49, -1, 52, 54, -1, -1, 57, 58, 57, 61, 63, 65, -1, 68, 70, -1, 72, 73, -1, -1, 79, 80, -1, 256, 256, 256, 256, 256, 256, 256, 86, 256, 256, 256, 256, 256, 97, 256, 256, 256, 256, 256, 256, 256, 256, 256, 106, 256, 109, 256, 256, 256, 256, 256, 256, 127, 256, 129, 130, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 157, -1, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 174, 256, 256, 256, 256, 256, 256, 256, 256, 256, 187, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, -1, 220, 218, 222, 126, 126, 132, 132, 27, -1, -1, -1, -1, 39, 43, 4, 3, 3, 50, -1, 55, 263, 64, 62, -1, 66, 67, -1, 69, 75, 76, 256, 83, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 101, 256, 256, 256, 256, 104, 256, 256, 256, 256, 256, 112, 256, 116, 256, 256, 256, 256, 256, 123, 256, 131, 133, 256, 256, 256, 256, 256, 141, 256, 256, 256, 256, 256, 256, 256, 256, 149, 256, 256, 158, 256, 256, 161, 256, 256, 256, 256, 256, 169, 256, 256, 172, 256, 256, 256, 256, 256, 256, 256, 182, 183, 256, 185, 186, 256, 256, 256, 256, 195, 196, 197, 198, 256, 200, 256, 256, 206, 256, 256, 256, 256, 211, 256, 256, 219, 221, -1, -1, -1, -1, -1, -1, 40, 44, 51, 224, 223, 77, 78, 256, 256, 256, 88, 90, 256, 256, 256, 256, 256, 256, 99, 256, 256, 256, 256, 256, 105, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 124, 256, 256, 132, 256, 256, 256, 256, 138, 256, 140, 256, 256, 256, 144, 145, 256, 147, 256, 256, 152, 256, 256, 256, 256, 162, 256, 164, 256, 167, 256, 256, 256, 256, 256, 256, 177, 256, 180, 181, 256, 188, 256, 190, 256, 192, 193, 194, 256, 201, 203, 204, 205, 256, 256, 209, 210, 212, 256, -1, -1, -1, -1, -1, -1, 225, 256, 256, 87, 256, 256, 256, 256, 256, 256, 100, 256, 256, 256, 103, 256, 256, 256, 256, 256, 256, 256, 114, 256, 256, 256, 256, 256, 119, 256, 256, 256, 256, 256, 256, 256, 256, 256, 142, 256, 256, 146, 256, 256, 153, 154, 160, 256, 163, 256, 168, 256, 171, 173, 175, 176, 178, 256, 256, 256, 256, 199, 202, 256, 256, 213, -1, -1, -1, -1, 27, -1, 256, 84, 91, 256, 256, 256, 256, 256, 98, 128, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 121, 122, 256, 256, 256, 256, 256, 256, 256, 256, 139, 143, 120, 148, 256, 256, 89, 256, 170, 256, 184, 256, 191, 207, 256, -1, -1, -1, 27, 256, 256, 256, 256, 256, 256, 256, 102, 256, 256, 108, 256, 256, 113, 256, 256, 118, 125, 256, 256, 256, 256, 136, 256, 256, 256, 150, 165, 179, 189, 208, -1, -1, -1, 256, 256, 256, 256, 256, 256, 256, 256, 256, 110, 256, 256, 256, 126, 256, 134, 256, 256, 256, 256, 256, 166, -1, -1, -1, 256, 256, 256, 94, 256, 256, 256, 256, 226, 256, 256, 256, 115, 256, 256, 256, 256, 256, 256, 151, -1, -1, -1, -1, 256, 256, 85, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 128, 135, 137, 256, 256, -1, -1, -1, -1, 256, 256, 256, 256, 256, 95, 256, 96, 256, 256, 256, 256, 256, 256, -1, -1, -1, -1, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, -1, -1, -1, -1, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, 256, -1, -1, -1, -1, 256, 256, 256, 256, 256, 256, 107, 111, 111, 256, -1, -1, -1, -1, 256, 256, 256, 256, 256, 256, -1, -1, -1, 261, 256, 256, 256, 256, 256, 117, -1, -1, -1, 256, 256, 256, 256, 256, 259, -1, -1, 81, 82, 92, 93, 256, 259, 259, -1, -1, 256, -1, -1, 256, 258, 260, 256, 258, 258, 260, 260, },
        // COMMENT
        {24, 24, 24, 24, 25, 26, 23, },
        // SHEBANG
        {-1, 2, 1, 2, 2, 265, 0, },
        // PRAGMA
        {-1, 265, 265, -1, -1, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, -1, 18, -1, 5, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 16, 13, 18, 18, 18, 18, 18, 18, 18, 6, 18, 18, 18, 18, 18, 12, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 14, 18, 18, 18, 18, 18, 18, 18, 18, 7, 11, 18, 18, 18, 10, 18, 18, 18, 18, 17, 18, 18, 18, 18, 9, 16, 18, 18, 18, 18, 18, 18, 18, 18, 8, 15, 15, },
        // DESCRIPTION
        {19, 19, 19, 19, 25, 26, 23, },
        // UNIT
        {-1, 265, 265, -1, -1, 21, 21, -1, 20, -1, 5, 21, 21, 21, 21, 20, },

    };*/

    public static class State
    {
        public final static State SECTION = new State(0);
        public final static State NORMAL = new State(1);
        public final static State COMMENT = new State(2);
        public final static State SHEBANG = new State(3);
        public final static State PRAGMA = new State(4);
        public final static State DESCRIPTION = new State(5);
        public final static State UNIT = new State(6);

        private int id;

        private State(  int id)
        {
            this.id = id;
        }

        public int id()
        {
            return this.id;
        }
    }

    static 
    {
        try
        {
            DataInputStream s = new DataInputStream(
                new BufferedInputStream(
                Lexer.class.getResourceAsStream("lexer.dat")));

            // read gotoTable
            int length = s.readInt();
            gotoTable = new int[length][][][];
            for(int i = 0; i < gotoTable.length; i++)
            {
                length = s.readInt();
                gotoTable[i] = new int[length][][];
                for(int j = 0; j < gotoTable[i].length; j++)
                {
                    length = s.readInt();
                    gotoTable[i][j] = new int[length][3];
                    for(int k = 0; k < gotoTable[i][j].length; k++)
                    {
                        for(int l = 0; l < 3; l++)
                        {
                            gotoTable[i][j][k][l] = s.readInt();
                        }
                    }
                }
            }

            // read accept
            length = s.readInt();
            accept = new int[length][];
            for(int i = 0; i < accept.length; i++)
            {
                length = s.readInt();
                accept[i] = new int[length];
                for(int j = 0; j < accept[i].length; j++)
                {
                    accept[i][j] = s.readInt();
                }
            }

            s.close();
        }
        catch(Exception e)
        {
            throw new RuntimeException("The file \"lexer.dat\" is either missing or corrupted.");
        }
    }
}
